
/*
 *      writed by kir http://paradox.org.ua
 */

#ifndef _dvbadapter_h_
#define _dvbadapter_h_

class CSpciIoIrq;
class CSpciI2C;
class CSpciDebi;

class CTuner;

struct dmaspace
{
	unsigned char	*vbuffer;
	unsigned int	pbuffer;
	unsigned int	size;
};

typedef void    (*ISRFN)(void *);
#define SETISRFN(x)     reinterpret_cast<ISRFN>(x)

class CDvbAdapter : public CAdapter
{
protected:
	device_t        device;

	unsigned int   idVendor;       //0x1131        Philips
	unsigned int   idDevice;       //0x7146        SAA7146

	unsigned int   idSubVendor;	//+176	//0x13C2        TechoTrend
	unsigned int   idSubDevice;    //......

//bus io
	struct resource *rmem;
//bus irq
	struct resource *rirq;
	void		*rih;

	struct dmaspace	dma;

	void		*m_hDvbHal;	//new

	CSpciIoIrq	*pci;
	CSpciI2C	*i2c;
	CSpciDebi	*debi;

	CTuner		*tuner;

	unsigned int	DMAStatus;

	unsigned int	CiISR;
	unsigned int	IrISR;
	unsigned int	DataISR;

	unsigned int	HWIRQ;
	unsigned int	MyIRQ;
	unsigned int	DPC;
	unsigned int	DPCReq;
	unsigned int	IRQCb;
	unsigned int	EvenFields;
	unsigned int	OddFields;

	unsigned int	TSABCb;	

	unsigned int	MyHW;

	unsigned int	FifoFull;

	unsigned int	MACAddressOID;
	unsigned int	MACAddressL3B;

	unsigned char	MACAddress[6];

public:
	CDvbAdapter(device_t dev);
	~CDvbAdapter();

	void	Dump(void);

	void	SetGPIO(int gpioPin, int gpioMode);
	int	GetGPIO(int gpioPin);


	int	I2CReadSeq(int slave, unsigned char *readBuf, int readLen);
	int	I2CWriteSeq(int slave, unsigned char *writeBuf, int writeLen);
	int	I2CCombinedSeq(int slave,
        			unsigned char *writeBuf, int writeLen, unsigned char *readBuf, int readLen);

	int	CreateTuner(int subdevice);

	void	HWIsrCallback(unsigned int irqtype, unsigned int isrnum);
	int	HWEnableDataDMA(void);
	int	HWDisableDataDMA(void);

	static void	NetEvent(CDvbAdapter *dvb, int state);

	int	HWReadMAC(unsigned int *macOID, unsigned int *macL3B);

	int	HWInstallInterrupt( void (*ISRHandler)(void *) );
	void	HWRemoveInterrupt(void);

	static void	HWInterruptService(CDvbAdapter *dvb);

	int	HWSetup7146IoSpace(void);
	void	HWRemove7146IoSpace(void);

	int	HWSetupSharedMemory(void);
	void	HWRemoveSharedMemory(void);

	void	HWInit7146Register(int ci);

	int	HWDeInitialize(int level);
	int	HWInitialize(int subdevice);

	static	int	HWDvbControl(CDvbAdapter *dvb, struct dvbapi *parm);
};

#endif
