
#ifndef _stb0899_def_h_
#define _stb0899_def_h_

/* 0xF000 */
#define RSTB0899_ID                           0x0  /* reg */
#define FSTB0899_CHIP_IDENT                   0x0  /* pos 4, size 4 */
#define FSTB0899_RELEASE                      0x1  /* pos 0, size 4 */


/* 0xF0A0 */
#define RSTB0899_TDISCNTRL1                   0x1  /* reg */
#define FSTB0899_TIMOFF                       0x2  /* pos 7, size 1 */
#define FSTB0899_DISEQC_RESET                 0x3  /* pos 6, size 1 */
#define FSTB0899_TIMCMD                       0x4  /* pos 4, size 2 */
#define FSTB0899_TDISCNTRL1_RESERVED          0x5  /* pos 3, size 1 */
#define FSTB0899_DISPRECHARGE                 0x6  /* pos 2, size 1 */
#define FSTB0899_DISEQCMODE                   0x7  /* pos 0, size 2 */


/* 0xF0A1 */
#define RSTB0899_DISCNTRL2                    0x2  /* reg */
#define FSTB0899_RECEIVER_ON                  0x8  /* pos 7, size 1 */
#define FSTB0899_IGNO_SHORT22K                0x9  /* pos 6, size 1 */
#define FSTB0899_ONECHIPTRX                   0xA  /* pos 5, size 1 */
#define FSTB0899_EXTENVELOP                   0xB  /* pos 4, size 1 */
#define FSTB0899_PINSELECT                    0xC  /* pos 2, size 2 */
#define FSTB0899_IRQRXEND                     0xD  /* pos 1, size 1 */
#define FSTB0899_IRQ4NBYTES                   0xE  /* pos 0, size 1 */


/* 0xF0A4 */
#define RSTB0899_DISRX_ST0                    0x3  /* reg */
#define FSTB0899_RXEND                        0xF  /* pos 7, size 1 */
#define FSTB0899_RXACTIVE                    0x10  /* pos 6, size 1 */
#define FSTB0899_SHORT22K                    0x11  /* pos 5, size 1 */
#define FSTB0899_CONTTONE                    0x12  /* pos 4, size 1 */
#define FSTB0899_DIS_4BFIFORDY               0x13  /* pos 3, size 1 */
#define FSTB0899_FIFOEMPTY                   0x14  /* pos 2, size 1 */
#define FSTB0899_DISRX_ST0_RESERVED          0x15  /* pos 1, size 1 */
#define FSTB0899_ABORTRX                     0x16  /* pos 0, size 1 */


/* 0xF0A5 */
#define RSTB0899_DISRX_ST1                    0x4  /* reg */
#define FSTB0899_RXFAIL                      0x17  /* pos 7, size 1 */
#define FSTB0899_FIFOPFAIL                   0x18  /* pos 6, size 1 */
#define FSTB0899_RXNONBYTE                   0x19  /* pos 5, size 1 */
#define FSTB0899_FIFOOVF                     0x1A  /* pos 4, size 1 */
#define FSTB0899_FIFOBYTENBR                 0x1B  /* pos 0, size 4 */


/* 0xF0A6 */
#define RSTB0899_DISPARITY                    0x5  /* reg */
#define FSTB0899_DISEQC_PARITY               0x1C  /* pos 0, size 8 */


/* 0xF0A7 */
#define RSTB0899_DISFIFO                      0x6  /* reg */
#define FSTB0899_DISEQCFIFO                  0x1D  /* pos 0, size 8 */


/* 0xF0A8 */
#define RSTB0899_DISSTATUS                    0x7  /* reg */
#define FSTB0899_TXFAIL                      0x1E  /* pos 7, size 1 */
#define FSTB0899_FIFO_FULL                   0x1F  /* pos 6, size 1 */
#define FSTB0899_TX_IDLE                     0x20  /* pos 5, size 1 */
#define FSTB0899_GAPBURST                    0x21  /* pos 4, size 1 */
#define FSTB0899_TXFIFOBYTES                 0x22  /* pos 0, size 4 */


/* 0xF0A9 */
#define RSTB0899_DISF22                       0x8  /* reg */
#define FSTB0899_F22                         0x23  /* pos 0, size 8 */


/* 0xF0AA */
#define RSTB0899_DISF22RX                     0x9  /* reg */
#define FSTB0899_F22RX                       0x24  /* pos 0, size 8 */


/* 0xF101 */
#define RSTB0899_SYSREG                       0xA  /* reg */
#define FSTB0899_SYS_MODE                    0x25  /* pos 5, size 3 */
#define FSTB0899_DUPLMODE_IN                 0x26  /* pos 4, size 1 */
#define FSTB0899_DUPLIN_3CK                  0x27  /* pos 3, size 1 */
#define FSTB0899_DUPLMODE_OUT                0x28  /* pos 2, size 1 */
#define FSTB0899_SYSREG_1                    0x29  /* pos 1, size 1 */
#define FSTB0899_RST_IQLSB_IN                0x2A  /* pos 0, size 1 */


/* 0xF110 */
#define RSTB0899_ACRPRESC                     0xB  /* reg */
#define FSTB0899_ACRPRESC_RESERVED           0x2B  /* pos 7, size 1 */
#define FSTB0899_ACRPRESC                    0x2C  /* pos 4, size 3 */
#define FSTB0899_ACRPRESC_RESERVED2          0x2D  /* pos 3, size 1 */
#define FSTB0899_ACRPRESC2                   0x2E  /* pos 0, size 3 */


/* 0xF111 */
#define RSTB0899_ACRDIV1                      0xC  /* reg */
#define FSTB0899_ACRDIV1                     0x2F  /* pos 0, size 8 */


/* 0xF112 */
#define RSTB0899_ACRDIV2                      0xD  /* reg */
#define FSTB0899_ACRDIV2                     0x30  /* pos 0, size 8 */


/* 0xF113 */
#define RSTB0899_DACR1                        0xE  /* reg */
#define FSTB0899_DACMODE                     0x31  /* pos 5, size 3 */
#define FSTB0899_DACHZ                       0x32  /* pos 4, size 1 */
#define FSTB0899_DAC_MSB                     0x33  /* pos 0, size 4 */


/* 0xF114 */
#define RSTB0899_DACR2                        0xF  /* reg */
#define FSTB0899_DAC_LSB                     0x34  /* pos 0, size 8 */


/* 0xF11C */
#define RSTB0899_OUTCFG                      0x10  /* reg */
#define FSTB0899_TSSEROUTHZ                  0x35  /* pos 7, size 1 */
#define FSTB0899_TSPOUTHZ                    0x36  /* pos 6, size 1 */
#define FSTB0899_OUTCFG_RESERVED             0x37  /* pos 0, size 6 */


/* 0xF11D */
#define RSTB0899_MODECFG                     0x11  /* reg */
#define FSTB0899_INV_DATA                    0x38  /* pos 7, size 1 */
#define FSTB0899_INV_DATA6                   0x39  /* pos 6, size 1 */
#define FSTB0899_MODECFG_RESERVED            0x3A  /* pos 3, size 3 */
#define FSTB0899_INV_ERROR                   0x3B  /* pos 2, size 1 */
#define FSTB0899_INV_STROUT                  0x3C  /* pos 1, size 1 */
#define FSTB0899_INV_DP                      0x3D  /* pos 0, size 1 */


/* 0xF120 */
#define RSTB0899_IRQSTATUS3                  0x12  /* reg */
#define FSTB0899_SIP1                        0x3E  /* pos 7, size 1 */
#define FSTB0899_NSIP1                       0x3F  /* pos 6, size 1 */
#define FSTB0899_SCF_SYNC                    0x40  /* pos 5, size 1 */
#define FSTB0899_NSCF_SYNC                   0x41  /* pos 4, size 1 */
#define FSTB0899_SAGC0_LOCK                  0x42  /* pos 3, size 1 */
#define FSTB0899_NSAGC0_LOCK                 0x43  /* pos 2, size 1 */
#define FSTB0899_SDISEQCTX_IRQ               0x44  /* pos 1, size 1 */
#define FSTB0899_SDISEQCRX_IRQ               0x45  /* pos 0, size 1 */


/* 0xF121 */
#define RSTB0899_IRQSTATUS2                  0x13  /* reg */
#define FSTB0899_SEND_LOOPTC                 0x46  /* pos 7, size 1 */
#define FSTB0899_SOV_RSFIFO                  0x47  /* pos 6, size 1 */
#define FSTB0899_SLOCKEDBW                   0x48  /* pos 5, size 1 */
#define FSTB0899_NSLOCKEDBW                  0x49  /* pos 4, size 1 */
#define FSTB0899_SPRFBW                      0x4A  /* pos 3, size 1 */
#define FSTB0899_NSPRFBW                     0x4B  /* pos 2, size 1 */
#define FSTB0899_SINPUTX                     0x4C  /* pos 1, size 1 */
#define FSTB0899_NSINPUTX                    0x4D  /* pos 0, size 1 */


/* 0xF122 */
#define RSTB0899_IRQSTATUS1                  0x14  /* reg */
#define FSTB0899_SEND_LOOPVIT                0x4E  /* pos 7, size 1 */
#define FSTB0899_SDMON_ELOOP                 0x4F  /* pos 6, size 1 */
#define FSTB0899_SLOCKED                     0x50  /* pos 5, size 1 */
#define FSTB0899_NSLOCKED                    0x51  /* pos 4, size 1 */
#define FSTB0899_SPRF                        0x52  /* pos 3, size 1 */
#define FSTB0899_NSPRF                       0x53  /* pos 2, size 1 */
#define FSTB0899_SSMOTIF_LOCKED              0x54  /* pos 1, size 1 */
#define FSTB0899_NSSMOTIF_LOCD               0x55  /* pos 0, size 1 */


/* 0xF123 */
#define RSTB0899_IRQSTATUS0                  0x15  /* reg */
#define FSTB0899_SFIFOFULL_CODIN             0x56  /* pos 7, size 1 */
#define FSTB0899_SCOD_NEAR_EMPTY             0x57  /* pos 6, size 1 */
#define FSTB0899_SCOD_FIFO_READY             0x58  /* pos 5, size 1 */
#define FSTB0899_SDECIN_OVER                 0x59  /* pos 4, size 1 */
#define FSTB0899_SRSSYNC_OK                  0x5A  /* pos 3, size 1 */
#define FSTB0899_SLNBTX_IRQ                  0x5B  /* pos 2, size 1 */
#define FSTB0899_SSPY_ENDSIM                 0x5C  /* pos 1, size 1 */
#define FSTB0899_SSPY_VALIDSI                0x5D  /* pos 0, size 1 */


/* 0xF124 */
#define RSTB0899_IRQMSK3                     0x16  /* reg */
#define FSTB0899_MIP1                        0x5E  /* pos 7, size 1 */
#define FSTB0899_NMIP1                       0x5F  /* pos 6, size 1 */
#define FSTB0899_MCF_SYNC                    0x60  /* pos 5, size 1 */
#define FSTB0899_NMCF_SYNC                   0x61  /* pos 4, size 1 */
#define FSTB0899_MAGC0_LOCK                  0x62  /* pos 3, size 1 */
#define FSTB0899_NMAGC0_LOCK                 0x63  /* pos 2, size 1 */
#define FSTB0899_MDISEQCTX_IRQ               0x64  /* pos 1, size 1 */
#define FSTB0899_MDISEQCRX_IRQ               0x65  /* pos 0, size 1 */


/* 0xF125 */
#define RSTB0899_IRQMSK2                     0x17  /* reg */
#define FSTB0899_MEND_LOOPTC                 0x66  /* pos 7, size 1 */
#define FSTB0899_MOV_RSFIFO                  0x67  /* pos 6, size 1 */
#define FSTB0899_MLOCKEDBW                   0x68  /* pos 5, size 1 */
#define FSTB0899_NMLOCKEDBW                  0x69  /* pos 4, size 1 */
#define FSTB0899_MPRFBW                      0x6A  /* pos 3, size 1 */
#define FSTB0899_NMPRFBW                     0x6B  /* pos 2, size 1 */
#define FSTB0899_MINPUTX                     0x6C  /* pos 1, size 1 */
#define FSTB0899_NMINPUTX                    0x6D  /* pos 0, size 1 */


/* 0xF126 */
#define RSTB0899_IRQMSK1                     0x18  /* reg */
#define FSTB0899_MEND_LOOPVIT                0x6E  /* pos 7, size 1 */
#define FSTB0899_MDMON_ELOOP                 0x6F  /* pos 6, size 1 */
#define FSTB0899_MLOCKED                     0x70  /* pos 5, size 1 */
#define FSTB0899_NMLOCKED                    0x71  /* pos 4, size 1 */
#define FSTB0899_MPRF                        0x72  /* pos 3, size 1 */
#define FSTB0899_NMPRF                       0x73  /* pos 2, size 1 */
#define FSTB0899_MSMOTIF_LOCKED              0x74  /* pos 1, size 1 */
#define FSTB0899_NMSMOTIF_LOCD               0x75  /* pos 0, size 1 */


/* 0xF127 */
#define RSTB0899_IRQMSK0                     0x19  /* reg */
#define FSTB0899_NFIFOFULL_CODIN             0x76  /* pos 7, size 1 */
#define FSTB0899_NCOD_NEAR_EMPTY             0x77  /* pos 6, size 1 */
#define FSTB0899_MCOD_FIFO_READY             0x78  /* pos 5, size 1 */
#define FSTB0899_MDECIN_OVER                 0x79  /* pos 4, size 1 */
#define FSTB0899_MRSSYNC_OK                  0x7A  /* pos 3, size 1 */
#define FSTB0899_MLNBTX_IRQ                  0x7B  /* pos 2, size 1 */
#define FSTB0899_MSPY_ENDSIM                 0x7C  /* pos 1, size 1 */
#define FSTB0899_MSPY_VALIDSI                0x7D  /* pos 0, size 1 */


/* 0xF128 */
#define RSTB0899_IRQCFG                      0x1A  /* reg */
#define FSTB0899_NINV_IRQ17                  0x7E  /* pos 7, size 1 */
#define FSTB0899_SEL_IRQ17                   0x7F  /* pos 4, size 3 */
#define FSTB0899_INV_IRQ16                   0x80  /* pos 3, size 1 */
#define FSTB0899_SEL_IRQ16                   0x81  /* pos 0, size 3 */


/* 0xF129 */
#define RSTB0899_I2CCFG                      0x1B  /* reg */
#define FSTB0899_I2CCFG_RESERVED             0x82  /* pos 7, size 1 */
#define FSTB0899_I2CCFG_RESERVED2            0x83  /* pos 6, size 1 */
#define FSTB0899_I2CCFG_RESERVED3            0x84  /* pos 5, size 1 */
#define FSTB0899_I2CCFG_RESERVED4            0x85  /* pos 4, size 1 */
#define FSTB0899_I2CFASTMODE                 0x86  /* pos 3, size 1 */
#define FSTB0899_STATUSWR                    0x87  /* pos 2, size 1 */
#define FSTB0899_I2CADDRINC                  0x88  /* pos 0, size 2 */


/* 0xF12A */
#define RSTB0899_I2CRPT                      0x1C  /* reg */
#define FSTB0899_I2CTON                      0x89  /* pos 7, size 1 */
#define FSTB0899_ENARPTLEVEL                 0x8A  /* pos 4, size 3 */
#define FSTB0899_SCLTDELAY                   0x8B  /* pos 3, size 1 */
#define FSTB0899_STOPENA                     0x8C  /* pos 2, size 1 */
#define FSTB0899_STOPSDAT2SDA                0x8D  /* pos 1, size 1 */
#define FSTB0899_I2CRPT_RESERVED             0x8E  /* pos 0, size 1 */


/* 0xF139 */
#define RSTB0899_IOPVALUE5                   0x1D  /* reg */
#define FSTB0899_VGPIO20                     0x8F  /* pos 5, size 1 */
#define FSTB0899_VGPIO19                     0x90  /* pos 4, size 1 */
#define FSTB0899_VGPIO18                     0x91  /* pos 3, size 1 */
#define FSTB0899_VGPIO17                     0x92  /* pos 2, size 1 */
#define FSTB0899_VGPIO16                     0x93  /* pos 1, size 1 */
#define FSTB0899_VGPIO15                     0x94  /* pos 0, size 1 */


/* 0xF13A */
#define RSTB0899_IOPVALUE4                   0x1E  /* reg */
#define FSTB0899_VGPIO14                     0x95  /* pos 7, size 1 */
#define FSTB0899_VGPIO13                     0x96  /* pos 6, size 1 */
#define FSTB0899_VERROR                      0x97  /* pos 5, size 1 */
#define FSTB0899_VDPN                        0x98  /* pos 4, size 1 */
#define FSTB0899_VSTR_OUT                    0x99  /* pos 3, size 1 */
#define FSTB0899_VCLK_OUT                    0x9A  /* pos 2, size 1 */
#define FSTB0899_VDATA7                      0x9B  /* pos 1, size 1 */
#define FSTB0899_VDATA6                      0x9C  /* pos 0, size 1 */


/* 0xF13B */
#define RSTB0899_IOPVALUE3                   0x1F  /* reg */
#define FSTB0899_VDATA5                      0x9D  /* pos 7, size 1 */
#define FSTB0899_VDATA4                      0x9E  /* pos 6, size 1 */
#define FSTB0899_VDATA3                      0x9F  /* pos 5, size 1 */
#define FSTB0899_VDATA2                      0xA0  /* pos 4, size 1 */
#define FSTB0899_VDATA1                      0xA1  /* pos 3, size 1 */
#define FSTB0899_VDATA0                      0xA2  /* pos 2, size 1 */
#define FSTB0899_VDISEQC_OUT                 0xA3  /* pos 1, size 1 */
#define FSTB0899_VSDAT                       0xA4  /* pos 0, size 1 */


/* 0xF13C */
#define RSTB0899_IOPVALUE2                   0x20  /* reg */
#define FSTB0899_VSCLT                       0xA5  /* pos 7, size 1 */
#define FSTB0899_VAGCBB2                     0xA6  /* pos 6, size 1 */
#define FSTB0899_VAGCBB1                     0xA7  /* pos 5, size 1 */
#define FSTB0899_VAGCRF                      0xA8  /* pos 4, size 1 */
#define FSTB0899_VGPIO12                     0xA9  /* pos 3, size 1 */
#define FSTB0899_VGPIO11                     0xAA  /* pos 2, size 1 */
#define FSTB0899_VGPIO10                     0xAB  /* pos 1, size 1 */
#define FSTB0899_VGPIO9                      0xAC  /* pos 0, size 1 */


/* 0xF13D */
#define RSTB0899_IOPVALUE1                   0x21  /* reg */
#define FSTB0899_VSDA                        0xAD  /* pos 7, size 1 */
#define FSTB0899_VSCL                        0xAE  /* pos 6, size 1 */
#define FSTB0899_VCLKOUT_27                  0xAF  /* pos 5, size 1 */
#define FSTB0899_VGPIO8                      0xB0  /* pos 4, size 1 */
#define FSTB0899_VGPIO7                      0xB1  /* pos 3, size 1 */
#define FSTB0899_VGPIO6                      0xB2  /* pos 2, size 1 */
#define FSTB0899_VGPIO5                      0xB3  /* pos 1, size 1 */
#define FSTB0899_VCS1                        0xB4  /* pos 0, size 1 */


/* 0xF13E */
#define RSTB0899_IOPVALUE0                   0x22  /* reg */
#define FSTB0899_VCS0                        0xB5  /* pos 7, size 1 */
#define FSTB0899_VDIRCLK                     0xB6  /* pos 6, size 1 */
#define FSTB0899_VGPIO4                      0xB7  /* pos 5, size 1 */
#define FSTB0899_VGPIO3                      0xB8  /* pos 4, size 1 */
#define FSTB0899_VGPIO2                      0xB9  /* pos 3, size 1 */
#define FSTB0899_VGPIO1                      0xBA  /* pos 2, size 1 */
#define FSTB0899_VT1_STDBY                   0xBB  /* pos 1, size 1 */
#define FSTB0899_VGPIO0                      0xBC  /* pos 0, size 1 */


/* 0xF140 */
#define RSTB0899_GPIO0CFG                    0x23  /* reg */
#define FSTB0899_GPIO0_OPDRAIN               0xBD  /* pos 7, size 1 */
#define FSTB0899_GPIO0_CONFIG                0xBE  /* pos 1, size 6 */
#define FSTB0899_GPIO0_XOR                   0xBF  /* pos 0, size 1 */


/* 0xF141 */
#define RSTB0899_GPIO1CFG                    0x24  /* reg */
#define FSTB0899_GPIO1_OPDRAIN               0xC0  /* pos 7, size 1 */
#define FSTB0899_GPIO1_CONFIG                0xC1  /* pos 1, size 6 */
#define FSTB0899_GPIO1_XOR                   0xC2  /* pos 0, size 1 */


/* 0xF142 */
#define RSTB0899_GPIO2CFG                    0x25  /* reg */
#define FSTB0899_GPIO2_OPDRAIN               0xC3  /* pos 7, size 1 */
#define FSTB0899_GPIO2_CONFIG                0xC4  /* pos 1, size 6 */
#define FSTB0899_GPIO2_XOR                   0xC5  /* pos 0, size 1 */


/* 0xF143 */
#define RSTB0899_GPIO3CFG                    0x26  /* reg */
#define FSTB0899_GPIO3_OPDRAIN               0xC6  /* pos 7, size 1 */
#define FSTB0899_GPIO3_CONFIG                0xC7  /* pos 1, size 6 */
#define FSTB0899_GPIO3_XOR                   0xC8  /* pos 0, size 1 */


/* 0xF144 */
#define RSTB0899_GPIO4CFG                    0x27  /* reg */
#define FSTB0899_GPIO4_OPDRAIN               0xC9  /* pos 7, size 1 */
#define FSTB0899_GPIO4_CONFIG                0xCA  /* pos 1, size 6 */
#define FSTB0899_GPIO4_XOR                   0xCB  /* pos 0, size 1 */


/* 0xF145 */
#define RSTB0899_GPIO5CFG                    0x28  /* reg */
#define FSTB0899_GPIO5_OPDRAIN               0xCC  /* pos 7, size 1 */
#define FSTB0899_GPIO5_CONFIG                0xCD  /* pos 1, size 6 */
#define FSTB0899_GPIO5_XOR                   0xCE  /* pos 0, size 1 */


/* 0xF146 */
#define RSTB0899_GPIO6CFG                    0x29  /* reg */
#define FSTB0899_GPIO6_OPDRAIN               0xCF  /* pos 7, size 1 */
#define FSTB0899_GPIO6_CONFIG                0xD0  /* pos 1, size 6 */
#define FSTB0899_GPIO6_XOR                   0xD1  /* pos 0, size 1 */


/* 0xF147 */
#define RSTB0899_GPIO7CFG                    0x2A  /* reg */
#define FSTB0899_GPIO7_OPDRAIN               0xD2  /* pos 7, size 1 */
#define FSTB0899_GPIO7_CONFIG                0xD3  /* pos 1, size 6 */
#define FSTB0899_GPIO7_XOR                   0xD4  /* pos 0, size 1 */


/* 0xF148 */
#define RSTB0899_GPIO8CFG                    0x2B  /* reg */
#define FSTB0899_GPIO8_OPDRAIN               0xD5  /* pos 7, size 1 */
#define FSTB0899_GPIO8_CONFIG                0xD6  /* pos 1, size 6 */
#define FSTB0899_GPIO8_XOR                   0xD7  /* pos 0, size 1 */


/* 0xF149 */
#define RSTB0899_GPIO9CFG                    0x2C  /* reg */
#define FSTB0899_GPIO9_OPDRAIN               0xD8  /* pos 7, size 1 */
#define FSTB0899_GPIO9_CONFIG                0xD9  /* pos 1, size 6 */
#define FSTB0899_GPIO9_XOR                   0xDA  /* pos 0, size 1 */


/* 0xF14A */
#define RSTB0899_GPIO10CFG                   0x2D  /* reg */
#define FSTB0899_GPIO10_OPDRAIN              0xDB  /* pos 7, size 1 */
#define FSTB0899_GPIO10_CONFIG               0xDC  /* pos 1, size 6 */
#define FSTB0899_GPIO10_XOR                  0xDD  /* pos 0, size 1 */


/* 0xF14B */
#define RSTB0899_GPIO11CFG                   0x2E  /* reg */
#define FSTB0899_GPIO11_OPDRAIN              0xDE  /* pos 7, size 1 */
#define FSTB0899_GPIO11_CONFIG               0xDF  /* pos 1, size 6 */
#define FSTB0899_GPIO11_XOR                  0xE0  /* pos 0, size 1 */


/* 0xF14C */
#define RSTB0899_GPIO12CFG                   0x2F  /* reg */
#define FSTB0899_GPIO12_OPDRAIN              0xE1  /* pos 7, size 1 */
#define FSTB0899_GPIO12_CONFIG               0xE2  /* pos 1, size 6 */
#define FSTB0899_GPIO12_XOR                  0xE3  /* pos 0, size 1 */


/* 0xF14D */
#define RSTB0899_GPIO13CFG                   0x30  /* reg */
#define FSTB0899_GPIO13_OPDRAIN              0xE4  /* pos 7, size 1 */
#define FSTB0899_GPIO13_CONFIG               0xE5  /* pos 1, size 6 */
#define FSTB0899_GPIO13_XOR                  0xE6  /* pos 0, size 1 */


/* 0xF14E */
#define RSTB0899_GPIO14CFG                   0x31  /* reg */
#define FSTB0899_GPIO14_OPDRAIN              0xE7  /* pos 7, size 1 */
#define FSTB0899_GPIO14_CONFIG               0xE8  /* pos 1, size 6 */
#define FSTB0899_GPIO14_XOR                  0xE9  /* pos 0, size 1 */


/* 0xF14F */
#define RSTB0899_GPIO15CFG                   0x32  /* reg */
#define FSTB0899_GPIO15_OPDRAIN              0xEA  /* pos 7, size 1 */
#define FSTB0899_GPIO15_CONFIG               0xEB  /* pos 1, size 6 */
#define FSTB0899_GPIO15_XOR                  0xEC  /* pos 0, size 1 */


/* 0xF150 */
#define RSTB0899_GPIO16CFG                   0x33  /* reg */
#define FSTB0899_GPIO16_OPDRAIN              0xED  /* pos 7, size 1 */
#define FSTB0899_GPIO16_CONFIG               0xEE  /* pos 1, size 6 */
#define FSTB0899_GPIO16_XOR                  0xEF  /* pos 0, size 1 */


/* 0xF151 */
#define RSTB0899_GPIO17CFG                   0x34  /* reg */
#define FSTB0899_GPIO17_OPDRAIN              0xF0  /* pos 7, size 1 */
#define FSTB0899_GPIO17_CONFIG               0xF1  /* pos 1, size 6 */
#define FSTB0899_GPIO17_XOR                  0xF2  /* pos 0, size 1 */


/* 0xF152 */
#define RSTB0899_GPIO18CFG                   0x35  /* reg */
#define FSTB0899_GPIO18_OPDRAIN              0xF3  /* pos 7, size 1 */
#define FSTB0899_GPIO18_CONFIG               0xF4  /* pos 1, size 6 */
#define FSTB0899_GPIO18_XOR                  0xF5  /* pos 0, size 1 */


/* 0xF153 */
#define RSTB0899_GPIO19CFG                   0x36  /* reg */
#define FSTB0899_GPIO19_OPDRAIN              0xF6  /* pos 7, size 1 */
#define FSTB0899_GPIO19_CONFIG               0xF7  /* pos 1, size 6 */
#define FSTB0899_GPIO19_XOR                  0xF8  /* pos 0, size 1 */


/* 0xF154 */
#define RSTB0899_GPIO20CFG                   0x37  /* reg */
#define FSTB0899_GPIO20_OPDRAIN              0xF9  /* pos 7, size 1 */
#define FSTB0899_GPIO20_CONFIG               0xFA  /* pos 1, size 6 */
#define FSTB0899_GPIO20_XOR                  0xFB  /* pos 0, size 1 */


/* 0xF155 */
#define RSTB0899_SDATCFG                     0x38  /* reg */
#define FSTB0899_SDAT_OPDRAIN                0xFC  /* pos 7, size 1 */
#define FSTB0899_SDAT_CONFIG                 0xFD  /* pos 1, size 6 */
#define FSTB0899_SDAT_XOR                    0xFE  /* pos 0, size 1 */


/* 0xF156 */
#define RSTB0899_SCLTCFG                     0x39  /* reg */
#define FSTB0899_SCLT_OPDRAIN                0xFF  /* pos 7, size 1 */
#define FSTB0899_SCLT_CONFIG                0x100  /* pos 1, size 6 */
#define FSTB0899_SCLT_XOR                   0x101  /* pos 0, size 1 */


/* 0xF157 */
#define RSTB0899_AGCRFCFG                    0x3A  /* reg */
#define FSTB0899_AGCRF_OPDRAIN              0x102  /* pos 7, size 1 */
#define FSTB0899_AGCRF_CONFIG               0x103  /* pos 1, size 6 */
#define FSTB0899_AGCRF_XOR                  0x104  /* pos 0, size 1 */


/* 0xF158 */
#define RSTB0899_AGCBB2CFG                   0x3B  /* reg */
#define FSTB0899_AGCBB2_OPDRAIN             0x105  /* pos 7, size 1 */
#define FSTB0899_AGCBB2_CONFIG              0x106  /* pos 1, size 6 */
#define FSTB0899_AGCBB2_XOR                 0x107  /* pos 0, size 1 */


/* 0xF159 */
#define RSTB0899_AGCBB1CFG                   0x3C  /* reg */
#define FSTB0899_AGCBB1_OPDRAIN             0x108  /* pos 7, size 1 */
#define FSTB0899_AGCBB1_CONFIG              0x109  /* pos 1, size 6 */
#define FSTB0899_AGCBB1_XOR                 0x10A  /* pos 0, size 1 */


/* 0xF15A */
#define RSTB0899_DIRCLKCFG                   0x3D  /* reg */
#define FSTB0899_DIRCLK_OPDRAIN             0x10B  /* pos 7, size 1 */
#define FSTB0899_DIRCLK_CONFIG              0x10C  /* pos 1, size 6 */
#define FSTB0899_DIRCLK_XOR                 0x10D  /* pos 0, size 1 */


/* 0xF15B */
#define RSTB0899_CKOUT27CFG                  0x3E  /* reg */
#define FSTB0899_CKOUT27_OPDRAIN            0x10E  /* pos 7, size 1 */
#define FSTB0899_CKOUT27_CONFIG             0x10F  /* pos 1, size 6 */
#define FSTB0899_CKOUT27_XOR                0x110  /* pos 0, size 1 */


/* 0xF15C */
#define RSTB0899_STDBYCFG                    0x3F  /* reg */
#define FSTB0899_STDBY_OPDRAIN              0x111  /* pos 7, size 1 */
#define FSTB0899_STDBY_CONFIG               0x112  /* pos 1, size 6 */
#define FSTB0899_STDBY_XOR                  0x113  /* pos 0, size 1 */


/* 0xF15D */
#define RSTB0899_CS0CFG                      0x40  /* reg */
#define FSTB0899_CS0_OPDRAIN                0x114  /* pos 7, size 1 */
#define FSTB0899_CS0_CONFIG                 0x115  /* pos 1, size 6 */
#define FSTB0899_CS0_XOR                    0x116  /* pos 0, size 1 */


/* 0xF15E */
#define RSTB0899_CS1CFG                      0x41  /* reg */
#define FSTB0899_CS1_OPDRAIN                0x117  /* pos 7, size 1 */
#define FSTB0899_CS1_CONFIG                 0x118  /* pos 1, size 6 */
#define FSTB0899_CS1_XOR                    0x119  /* pos 0, size 1 */


/* 0xF15F */
#define RSTB0899_DISEQCOCFG                  0x42  /* reg */
#define FSTB0899_DISEQCO_OPDRAIN            0x11A  /* pos 7, size 1 */
#define FSTB0899_DISEQCO_CONFIG             0x11B  /* pos 1, size 6 */
#define FSTB0899_DISEQCO_XOR                0x11C  /* pos 0, size 1 */


/* 0xF160 */
#define RSTB0899_GPIO32CFG                   0x43  /* reg */
#define FSTB0899_GPIO32_OPDRAIN             0x11D  /* pos 7, size 1 */
#define FSTB0899_GPIO32_CONFIG              0x11E  /* pos 1, size 6 */
#define FSTB0899_GPIO32_XOR                 0x11F  /* pos 0, size 1 */


/* 0xF161 */
#define RSTB0899_GPIO33CFG                   0x44  /* reg */
#define FSTB0899_GPIO33_OPDRAIN             0x120  /* pos 7, size 1 */
#define FSTB0899_GPIO33_CONFIG              0x121  /* pos 1, size 6 */
#define FSTB0899_GPIO33_XOR                 0x122  /* pos 0, size 1 */


/* 0xF162 */
#define RSTB0899_GPIO34CFG                   0x45  /* reg */
#define FSTB0899_GPIO34_OPDRAIN             0x123  /* pos 7, size 1 */
#define FSTB0899_GPIO34_CONFIG              0x124  /* pos 1, size 6 */
#define FSTB0899_GPIO34_XOR                 0x125  /* pos 0, size 1 */


/* 0xF163 */
#define RSTB0899_GPIO35CFG                   0x46  /* reg */
#define FSTB0899_GPIO35_OPDRAIN             0x126  /* pos 7, size 1 */
#define FSTB0899_GPIO35_CONFIG              0x127  /* pos 1, size 6 */
#define FSTB0899_GPIO35_XOR                 0x128  /* pos 0, size 1 */


/* 0xF164 */
#define RSTB0899_GPIO36CFG                   0x47  /* reg */
#define FSTB0899_GPIO36_OPDRAIN             0x129  /* pos 7, size 1 */
#define FSTB0899_GPIO36_CONFIG              0x12A  /* pos 1, size 6 */
#define FSTB0899_GPIO36_XOR                 0x12B  /* pos 0, size 1 */


/* 0xF165 */
#define RSTB0899_GPIO37CFG                   0x48  /* reg */
#define FSTB0899_GPIO37_OPDRAIN             0x12C  /* pos 7, size 1 */
#define FSTB0899_GPIO37_CONFIG              0x12D  /* pos 1, size 6 */
#define FSTB0899_GPIO37_XOR                 0x12E  /* pos 0, size 1 */


/* 0xF166 */
#define RSTB0899_GPIO38CFG                   0x49  /* reg */
#define FSTB0899_GPIO38_OPDRAIN             0x12F  /* pos 7, size 1 */
#define FSTB0899_GPIO38_CONFIG              0x130  /* pos 1, size 6 */
#define FSTB0899_GPIO38_XOR                 0x131  /* pos 0, size 1 */


/* 0xF167 */
#define RSTB0899_GPIO39CFG                   0x4A  /* reg */
#define FSTB0899_GPIO39_OPDRAIN             0x132  /* pos 7, size 1 */
#define FSTB0899_GPIO39_CONFIG              0x133  /* pos 1, size 6 */
#define FSTB0899_GPIO39_XOR                 0x134  /* pos 0, size 1 */


/* 0xF1B3 */
#define RSTB0899_NCOARSE                     0x4B  /* reg */
#define FSTB0899_MDIV                       0x135  /* pos 0, size 8 */


/* 0xF1B6 */
#define RSTB0899_SYNTCTRL                    0x4C  /* reg */
#define FSTB0899_STANDBY                    0x136  /* pos 7, size 1 */
#define FSTB0899_BYPASS_PLLCORE             0x137  /* pos 6, size 1 */
#define FSTB0899_SELX1RATIO                 0x138  /* pos 5, size 1 */
#define FSTB0899_I2C_TUD                    0x139  /* pos 4, size 1 */
#define FSTB0899_STOP_PLL                   0x13A  /* pos 3, size 1 */
#define FSTB0899_SYNTCTRL_RESERVED          0x13B  /* pos 2, size 1 */
#define FSTB0899_SELOSCI                    0x13C  /* pos 1, size 1 */
#define FSTB0899_BYPASSPLLADC               0x13D  /* pos 0, size 1 */


/* 0xF1B7 */
#define RSTB0899_FILTCTRL                    0x4D  /* reg */
#define FSTB0899_INVCLK90                   0x13E  /* pos 7, size 1 */
#define FSTB0899_PERMBYPDIS                 0x13F  /* pos 6, size 1 */
#define FSTB0899_CLKSWITCH                  0x140  /* pos 5, size 1 */
#define FSTB0899_FILTCTRL_RESERVED          0x141  /* pos 0, size 5 */


/* 0xF1B8 */
#define RSTB0899_SYSCTRL                     0x4E  /* reg */
#define FSTB0899_SYSCTRL_RESERVED           0x142  /* pos 1, size 7 */
#define FSTB0899_PLLLOCKED                  0x143  /* pos 0, size 1 */


/* 0xF1C2 */
#define RSTB0899_STOPCLK1                    0x4F  /* reg */
#define FSTB0899_STOP_CKINTBUF90            0x144  /* pos 7, size 1 */
#define FSTB0899_STOP_CKINTBUF180           0x145  /* pos 6, size 1 */
#define FSTB0899_STOP_CKH8PSK90             0x146  /* pos 5, size 1 */
#define FSTB0899_STOP_CKFEC90               0x147  /* pos 4, size 1 */
#define FSTB0899_STOP_CKFEC180              0x148  /* pos 3, size 1 */
#define FSTB0899_STOP_CKCORE270             0x149  /* pos 2, size 1 */
#define FSTB0899_STOP_CKADCI90              0x14A  /* pos 1, size 1 */
#define FSTB0899_STOP_INVCKADCI90           0x14B  /* pos 0, size 1 */


/* 0xF1C3 */
#define RSTB0899_STOPCLK2                    0x50  /* reg */
#define FSTB0899_STOPCLK2_RESERVED          0x14C  /* pos 3, size 5 */
#define FSTB0899_STOP_CKS2DMD90             0x14D  /* pos 2, size 1 */
#define FSTB0899_STOP_CKPKDLIN90            0x14E  /* pos 1, size 1 */
#define FSTB0899_STOP_CKPKDLIN180           0x14F  /* pos 0, size 1 */


/* 0xF1E0 */
#define RSTB0899_TSTTNR1                     0x51  /* reg */
#define FSTB0899_BYPASS_ADC                 0x150  /* pos 7, size 1 */
#define FSTB0899_INVADCICKOUT               0x151  /* pos 6, size 1 */
#define FSTB0899_ADCTEST_VOLTAGE            0x152  /* pos 4, size 2 */
#define FSTB0899_ADC_RESET                  0x153  /* pos 3, size 1 */
#define FSTB0899_TSTTNR1_2                  0x154  /* pos 2, size 1 */
#define FSTB0899_ADCPON                     0x155  /* pos 1, size 1 */
#define FSTB0899_ADCIN_MODE                 0x156  /* pos 0, size 1 */


/* 0xF1E1 */
#define RSTB0899_TSTTNR2                     0x52  /* reg */
#define FSTB0899_TSTTNR2_7                  0x157  /* pos 7, size 1 */
#define FSTB0899_NOT_DISRX_WIRED            0x158  /* pos 6, size 1 */
#define FSTB0899_DISEQC_DCURRENT            0x159  /* pos 5, size 1 */
#define FSTB0899_DISEQC_ZCURRENT            0x15A  /* pos 4, size 1 */
#define FSTB0899_DISEQC_SINC_SOURCE         0x15B  /* pos 2, size 2 */
#define FSTB0899_SELIQSRC                   0x15C  /* pos 0, size 2 */


/* 0xF1E2 */
#define RSTB0899_TSTTNR3                     0x53  /* reg */
#define FSTB0899_TSTTNR3_7                  0x15D  /* pos 7, size 1 */
#define FSTB0899_TSTTNR3_6                  0x15E  /* pos 6, size 1 */
#define FSTB0899_TSTTNR3_5                  0x15F  /* pos 5, size 1 */
#define FSTB0899_TSTTNR3_4                  0x160  /* pos 4, size 1 */
#define FSTB0899_TSTTNR3_3                  0x161  /* pos 3, size 1 */
#define FSTB0899_TSTTNR3_2                  0x162  /* pos 2, size 1 */
#define FSTB0899_TSTTNR3_1                  0x163  /* pos 1, size 1 */
#define FSTB0899_TSTTNR3_0                  0x164  /* pos 0, size 1 */


/* 0xF200 */
#define RSTB0899_INTBUFSTATUS                0x54  /* reg */
#define FSTB0899_INTBUF_FIFO_FULL           0x165  /* pos 0, size 1 */


/* 0xF201 */
#define RSTB0899_INTBUFCTRL                  0x55  /* reg */
#define FSTB0899_H8S2_PATH_DECODE           0x166  /* pos 2, size 2 */
#define FSTB0899_FIFO_ENABLE                0x167  /* pos 1, size 1 */
#define FSTB0899_INTBUF_SOFTRESET           0x168  /* pos 0, size 1 */


/* 0xF300 */
#define RSTB0899_DMDSTATUS                   0x56  /* reg */
#define FSTB0899_IF_AGCLOCK                 0x169  /* pos 8, size 1 */


/* 0xF304 */
#define RSTB0899_CRLFREQ                     0x57  /* reg */
#define FSTB0899_CRL_FREQUENCY              0x16A  /* pos 0, size 30 */


/* 0xF308 */
#define RSTB0899_BTRFREQ                     0x58  /* reg */
#define FSTB0899_BTR_FREQUENCY              0x16B  /* pos 0, size 28 */


/* 0xF30C */
#define RSTB0899_IFAGCGAIN                   0x59  /* reg */
#define FSTB0899_IF_AGCGAIN                 0x16C  /* pos 0, size 14 */


/* 0xF310 */
#define RSTB0899_BBAGCGAIN                   0x5A  /* reg */
#define FSTB0899_BB_AGCGAIN                 0x16D  /* pos 0, size 14 */


/* 0xF314 */
#define RSTB0899_DCOFFSET                    0x5B  /* reg */
#define FSTB0899_I_DCOFFSET                 0x16E  /* pos 8, size 8 */
#define FSTB0899_Q_DCOFFSET                 0x16F  /* pos 0, size 8 */


/* 0xF31C */
#define RSTB0899_DMDCNTRL                    0x5C  /* reg */
#define FSTB0899_ADC0_PINS1IN               0x170  /* pos 6, size 1 */
#define FSTB0899_IN2COMP1_OFFBIN0           0x171  /* pos 3, size 1 */
#define FSTB0899_DC_COMP                    0x172  /* pos 2, size 1 */
#define FSTB0899_MODMODE                    0x173  /* pos 0, size 2 */


/* 0xF320 */
#define RSTB0899_IFAGCCNTRL                  0x5D  /* reg */
#define FSTB0899_IF_GAININIT                0x174  /* pos 13, size 14 */
#define FSTB0899_IF_AGCSENSE                0x175  /* pos 12, size 1 */
#define FSTB0899_IF_LOOPGAIN                0x176  /* pos 8, size 4 */
#define FSTB0899_IF_LDGAININIT              0x177  /* pos 7, size 1 */
#define FSTB0899_IF_AGCREF                  0x178  /* pos 0, size 7 */


/* 0xF324 */
#define RSTB0899_BBAGCCNTRL                  0x5E  /* reg */
#define FSTB0899_BBGAIN_INIT                0x179  /* pos 12, size 14 */
#define FSTB0899_BBLOOP_GAIN                0x17A  /* pos 8, size 4 */
#define FSTB0899_BBLDGAIN_INIT              0x17B  /* pos 7, size 1 */
#define FSTB0899_BB_AGCREF                  0x17C  /* pos 0, size 7 */


/* 0xF328 */
#define RSTB0899_CRLCNTRL                    0x5F  /* reg */
#define FSTB0899_CRL_LOCK_CLEAR             0x17D  /* pos 5, size 1 */
#define FSTB0899_CRL_CLR_SWEEPER            0x17E  /* pos 4, size 1 */
#define FSTB0899_CRL_SWEEP_EN               0x17F  /* pos 3, size 1 */
#define FSTB0899_CRL_DETECTOR_SEL           0x180  /* pos 2, size 1 */
#define FSTB0899_CRL_SENSE                  0x181  /* pos 1, size 1 */
#define FSTB0899_CRL_CLR_PHSERR             0x182  /* pos 0, size 1 */


/* 0xF32C */
#define RSTB0899_CRLPHSINIT                  0x60  /* reg */
#define FSTB0899_CRLPHSINIT31               0x183  /* pos 30, size 1 */
#define FSTB0899_CRL_LD_INIT_PHASE          0x184  /* pos 24, size 1 */
#define FSTB0899_CRL_INIT_PHASE             0x185  /* pos 0, size 24 */


/* 0xF330 */
#define RSTB0899_CRLFREQINIT                 0x61  /* reg */
#define FSTB0899_CRLFREQINIT31              0x186  /* pos 30, size 1 */
#define FSTB0899_CRL_LD_FREQ_INIT           0x187  /* pos 24, size 1 */
#define FSTB0899_CRL_FREQ_INIT              0x188  /* pos 0, size 24 */


/* 0xF334 */
#define RSTB0899_CRLLOOPGAIN                 0x62  /* reg */
#define FSTB0899_KCRL2_RSHFT                0x189  /* pos 16, size 4 */
#define FSTB0899_KCRL1                      0x18A  /* pos 12, size 4 */
#define FSTB0899_KCRL1_RSHFT                0x18B  /* pos 8, size 4 */
#define FSTB0899_KCRL0                      0x18C  /* pos 4, size 4 */
#define FSTB0899_KCRL0_RSHFT                0x18D  /* pos 0, size 4 */


/* 0xF338 */
#define RSTB0899_CRLNOMFREQ                  0x63  /* reg */
#define FSTB0899_CRLNOM_FREQ                0x18E  /* pos 0, size 30 */


/* 0xF33C */
#define RSTB0899_CRLSWPRATE                  0x64  /* reg */
#define FSTB0899_CRL_SWP_RATE               0x18F  /* pos 0, size 30 */


/* 0xF340 */
#define RSTB0899_CRLMAXSWP                   0x65  /* reg */
#define FSTB0899_CRL_MAX_SWP                0x190  /* pos 0, size 30 */


/* 0xF344 */
#define RSTB0899_CRLLKCNTRL                  0x66  /* reg */
#define FSTB0899_CRL_PWR_DET                0x191  /* pos 24, size 4 */
#define FSTB0899_THRESHOLD_LI               0x192  /* pos 16, size 8 */
#define FSTB0899_THRESHOLD_HI               0x193  /* pos 8, size 8 */
#define FSTB0899_CRLK_GAIN                  0x194  /* pos 6, size 2 */
#define FSTB0899_CRLK_FC                    0x195  /* pos 0, size 6 */


/* 0xF348 */
#define RSTB0899_DECIMCNTRL                  0x67  /* reg */
#define FSTB0899_BANDLIMIT_B                0x196  /* pos 5, size 1 */
#define FSTB0899_WIN_SEL                    0x197  /* pos 3, size 2 */
#define FSTB0899_DECIM_RATE                 0x198  /* pos 0, size 3 */


/* 0xF34C */
#define RSTB0899_BTRCNTRL                    0x68  /* reg */
#define FSTB0899_BTRFREQ_CORR               0x199  /* pos 4, size 11 */
#define FSTB0899_BTRCLR_LOCK                0x19A  /* pos 3, size 1 */
#define FSTB0899_BTR_SENS                   0x19B  /* pos 2, size 1 */
#define FSTB0899_BTRERR_ENA                 0x19C  /* pos 1, size 1 */
#define FSTB0899_INTRP_PHS_SENS             0x19D  /* pos 0, size 1 */


/* 0xF350 */
#define RSTB0899_BTRLOOPGAIN                 0x69  /* reg */
#define FSTB0899_KBTR2_RSHT                 0x19E  /* pos 16, size 4 */
#define FSTB0899_KBTR1                      0x19F  /* pos 12, size 4 */
#define FSTB0899_KBTR1_RSHT                 0x1A0  /* pos 8, size 4 */
#define FSTB0899_KBTR0                      0x1A1  /* pos 4, size 4 */
#define FSTB0899_KBTR0_RSHFT                0x1A2  /* pos 0, size 4 */


/* 0xF354 */
#define RSTB0899_BTRPHSINIT                  0x6A  /* reg */
#define FSTB0899_BTRID_PHASEINIT            0x1A3  /* pos 28, size 1 */
#define FSTB0899_BTR_INITPHASE              0x1A4  /* pos 0, size 28 */


/* 0xF358 */
#define RSTB0899_BTRFREQINIT                 0x6B  /* reg */
#define FSTB0899_BTRID_FREQINIT             0x1A5  /* pos 28, size 1 */
#define FSTB0899_BTR_FREQINIT               0x1A6  /* pos 0, size 28 */


/* 0xF35C */
#define RSTB0899_BTRNOMFREQ                  0x6C  /* reg */
#define FSTB0899_BTRNOM_FREQ                0x1A7  /* pos 0, size 28 */


/* 0xF360 */
#define RSTB0899_BTRLKCNTRL                  0x6D  /* reg */
#define FSTB0899_BTR_MINENERGY              0x1A8  /* pos 24, size 4 */
#define FSTB0899_BTR_LOCK_THRESHOLDLO       0x1A9  /* pos 16, size 8 */
#define FSTB0899_BTR_LOCK_THRESHOLDHI       0x1AA  /* pos 8, size 8 */
#define FSTB0899_BTR_LOCKGAIN               0x1AB  /* pos 6, size 2 */
#define FSTB0899_BTR_LOCK_LEAKFACTOR        0x1AC  /* pos 0, size 6 */


/* 0xF364 */
#define RSTB0899_DECNCNTRL                   0x6E  /* reg */
#define FSTB0899_INVERT_Q                   0x1AD  /* pos 8, size 1 */
#define FSTB0899_INVERT_I                   0x1AE  /* pos 7, size 1 */
#define FSTB0899_SWAP_IQ                    0x1AF  /* pos 6, size 1 */
#define FSTB0899_SOFT_THRESHOLD             0x1B0  /* pos 0, size 6 */


/* 0xF368 */
#define RSTB0899_TPCNTRL                     0x6F  /* reg */
#define FSTB0899_TP_MSB1LSB0_SEL            0x1B1  /* pos 15, size 1 */
#define FSTB0899_CAPTURE                    0x1B2  /* pos 14, size 1 */
#define FSTB0899_TP_BLK_SEL                 0x1B3  /* pos 9, size 5 */
#define FSTB0899_TP_SIG_SEL                 0x1B4  /* pos 4, size 5 */
#define FSTB0899_TP_SEL                     0x1B5  /* pos 0, size 4 */


/* 0xF36C */
#define RSTB0899_TPBUFSTATUS                 0x70  /* reg */
#define FSTB0899_BUFFER_FULL                0x1B6  /* pos 0, size 1 */


/* 0xF37C */
#define RSTB0899_DCESTIM                     0x71  /* reg */
#define FSTB0899_I_DC_ESTIMATE              0x1B7  /* pos 8, size 8 */
#define FSTB0899_Q_DC_ESTIMATE              0x1B8  /* pos 0, size 8 */


/* 0xF310 */
#define RSTB0899_FLLCNTRL                    0x72  /* reg */
#define FSTB0899_CRL_FLL_ACC                0x1B9  /* pos 4, size 1 */
#define FSTB0899_FLL_AVG_PERIOD             0x1BA  /* pos 0, size 4 */


/* 0xF314 */
#define RSTB0899_FLLFREQWD                   0x73  /* reg */
#define FSTB0899_FLL_FREQ_WD                0x1BB  /* pos 0, size 32 */


/* 0xF358 */
#define RSTB0899_ANTIALIASSEL                0x74  /* reg */
#define FSTB0899_ANTI_ALIAS_SEL             0x1BC  /* pos 0, size 2 */


/* 0xF35C */
#define RSTB0899_RRCALPHA                    0x75  /* reg */
#define FSTB0899_RRC_ALPHA                  0x1BD  /* pos 0, size 2 */


/* 0xF360 */
#define RSTB0899_DCADAPTISHFT                0x76  /* reg */
#define FSTB0899_DC_ADAPT_ISHFT             0x1BE  /* pos 0, size 3 */


/* 0xF364 */
#define RSTB0899_IMBOFFSET                   0x77  /* reg */
#define FSTB0899_PHS_IMB_COMP               0x1BF  /* pos 8, size 8 */
#define FSTB0899_AMPL_IMB_COMP              0x1C0  /* pos 0, size 8 */


/* 0xF368 */
#define RSTB0899_IMBESTIMATE                 0x78  /* reg */
#define FSTB0899_PHS_IMB_ESTIMATE           0x1C1  /* pos 8, size 8 */
#define FSTB0899_AMPL_IMB_ESTIMATE          0x1C2  /* pos 0, size 8 */


/* 0xF36C */
#define RSTB0899_IMBCNTRL                    0x79  /* reg */
#define FSTB0899_PHS_ADAPT_ISHFT            0x1C3  /* pos 4, size 3 */
#define FSTB0899_AMPL_ADAPT_ISHFT           0x1C4  /* pos 1, size 3 */
#define FSTB0899_IMB_COMP                   0x1C5  /* pos 0, size 1 */


/* 0xF374 */
#define RSTB0899_IFAGCCNTRL2                 0x7A  /* reg */
#define FSTB0899_IF_AGCLOCK_THRESH          0x1C6  /* pos 11, size 8 */
#define FSTB0899_IF_AGC_SDDIV               0x1C7  /* pos 3, size 8 */
#define FSTB0899_IF_AGC_DUMPPER             0x1C8  /* pos 0, size 3 */


/* 0xF378 */
#define RSTB0899_DMDCNTRL2                   0x7B  /* reg */
#define FSTB0899_SPECTRUM_INVERT            0x1C9  /* pos 2, size 1 */
#define FSTB0899_AGC_MODE                   0x1CA  /* pos 1, size 1 */
#define FSTB0899_CRL_FREQ_ADJ               0x1CB  /* pos 0, size 1 */


/* 0xF300 */
#define RSTB0899_TPBUFFER                    0x7C  /* reg */
#define FSTB0899_TP_BUFFER_IN               0x1CC  /* pos 0, size 16 */


/* 0xF304 */
#define RSTB0899_TPBUFFER1                   0x7D  /* reg */
#define FSTB0899_TP_BUFFER_IN1              0x1CD  /* pos 0, size 16 */


/* 0xF308 */
#define RSTB0899_TPBUFFER2                   0x7E  /* reg */
#define FSTB0899_TP_BUFFER_IN2              0x1CE  /* pos 0, size 16 */


/* 0xF30C */
#define RSTB0899_TPBUFFER3                   0x7F  /* reg */
#define FSTB0899_TP_BUFFER_IN3              0x1CF  /* pos 0, size 16 */


/* 0xF310 */
#define RSTB0899_TPBUFFER4                   0x80  /* reg */
#define FSTB0899_TP_BUFFER_IN4              0x1D0  /* pos 0, size 16 */


/* 0xF314 */
#define RSTB0899_TPBUFFER5                   0x81  /* reg */
#define FSTB0899_TP_BUFFER_IN5              0x1D1  /* pos 0, size 16 */


/* 0xF318 */
#define RSTB0899_TPBUFFER6                   0x82  /* reg */
#define FSTB0899_TP_BUFFER_IN6              0x1D2  /* pos 0, size 16 */


/* 0xF31C */
#define RSTB0899_TPBUFFER7                   0x83  /* reg */
#define FSTB0899_TP_BUFFER_IN7              0x1D3  /* pos 0, size 16 */


/* 0xF320 */
#define RSTB0899_TPBUFFER8                   0x84  /* reg */
#define FSTB0899_TP_BUFFER_IN8              0x1D4  /* pos 0, size 16 */


/* 0xF324 */
#define RSTB0899_TPBUFFER9                   0x85  /* reg */
#define FSTB0899_TP_BUFFER_IN9              0x1D5  /* pos 0, size 16 */


/* 0xF328 */
#define RSTB0899_TPBUFFER10                  0x86  /* reg */
#define FSTB0899_TP_BUFFER_IN10             0x1D6  /* pos 0, size 16 */


/* 0xF32C */
#define RSTB0899_TPBUFFER11                  0x87  /* reg */
#define FSTB0899_TP_BUFFER_IN11             0x1D7  /* pos 0, size 16 */


/* 0xF330 */
#define RSTB0899_TPBUFFER12                  0x88  /* reg */
#define FSTB0899_TP_BUFFER_IN12             0x1D8  /* pos 0, size 16 */


/* 0xF334 */
#define RSTB0899_TPBUFFER13                  0x89  /* reg */
#define FSTB0899_TP_BUFFER_IN13             0x1D9  /* pos 0, size 16 */


/* 0xF338 */
#define RSTB0899_TPBUFFER14                  0x8A  /* reg */
#define FSTB0899_TP_BUFFER_IN14             0x1DA  /* pos 0, size 16 */


/* 0xF33C */
#define RSTB0899_TPBUFFER15                  0x8B  /* reg */
#define FSTB0899_TP_BUFFER_IN15             0x1DB  /* pos 0, size 16 */


/* 0xF340 */
#define RSTB0899_TPBUFFER16                  0x8C  /* reg */
#define FSTB0899_TP_BUFFER_IN16             0x1DC  /* pos 0, size 16 */


/* 0xF344 */
#define RSTB0899_TPBUFFER17                  0x8D  /* reg */
#define FSTB0899_TP_BUFFER_IN17             0x1DD  /* pos 0, size 16 */


/* 0xF348 */
#define RSTB0899_TPBUFFER18                  0x8E  /* reg */
#define FSTB0899_TP_BUFFER_IN18             0x1DE  /* pos 0, size 16 */


/* 0xF34C */
#define RSTB0899_TPBUFFER19                  0x8F  /* reg */
#define FSTB0899_TP_BUFFER_IN19             0x1DF  /* pos 0, size 16 */


/* 0xF350 */
#define RSTB0899_TPBUFFER20                  0x90  /* reg */
#define FSTB0899_TP_BUFFER_IN20             0x1E0  /* pos 0, size 16 */


/* 0xF354 */
#define RSTB0899_TPBUFFER21                  0x91  /* reg */
#define FSTB0899_TP_BUFFER_IN21             0x1E1  /* pos 0, size 16 */


/* 0xF358 */
#define RSTB0899_TPBUFFER22                  0x92  /* reg */
#define FSTB0899_TP_BUFFER_IN22             0x1E2  /* pos 0, size 16 */


/* 0xF35C */
#define RSTB0899_TPBUFFER23                  0x93  /* reg */
#define FSTB0899_TP_BUFFER_IN23             0x1E3  /* pos 0, size 16 */


/* 0xF360 */
#define RSTB0899_TPBUFFER24                  0x94  /* reg */
#define FSTB0899_TP_BUFFER_IN24             0x1E4  /* pos 0, size 16 */


/* 0xF364 */
#define RSTB0899_TPBUFFER25                  0x95  /* reg */
#define FSTB0899_TP_BUFFER_IN25             0x1E5  /* pos 0, size 16 */


/* 0xF368 */
#define RSTB0899_TPBUFFER26                  0x96  /* reg */
#define FSTB0899_TP_BUFFER_IN26             0x1E6  /* pos 0, size 16 */


/* 0xF36C */
#define RSTB0899_TPBUFFER27                  0x97  /* reg */
#define FSTB0899_TP_BUFFER_IN27             0x1E7  /* pos 0, size 16 */


/* 0xF370 */
#define RSTB0899_TPBUFFER28                  0x98  /* reg */
#define FSTB0899_TP_BUFFER_IN28             0x1E8  /* pos 0, size 16 */


/* 0xF374 */
#define RSTB0899_TPBUFFER29                  0x99  /* reg */
#define FSTB0899_TP_BUFFER_IN29             0x1E9  /* pos 0, size 16 */


/* 0xF378 */
#define RSTB0899_TPBUFFER30                  0x9A  /* reg */
#define FSTB0899_TP_BUFFER_IN30             0x1EA  /* pos 0, size 16 */


/* 0xF37C */
#define RSTB0899_TPBUFFER31                  0x9B  /* reg */
#define FSTB0899_TP_BUFFER_IN31             0x1EB  /* pos 0, size 16 */


/* 0xF300 */
#define RSTB0899_TPBUFFER32                  0x9C  /* reg */
#define FSTB0899_TP_BUFFER_IN32             0x1EC  /* pos 0, size 16 */


/* 0xF304 */
#define RSTB0899_TPBUFFER33                  0x9D  /* reg */
#define FSTB0899_TP_BUFFER_IN33             0x1ED  /* pos 0, size 16 */


/* 0xF308 */
#define RSTB0899_TPBUFFER34                  0x9E  /* reg */
#define FSTB0899_TP_BUFFER_IN34             0x1EE  /* pos 0, size 16 */


/* 0xF30C */
#define RSTB0899_TPBUFFER35                  0x9F  /* reg */
#define FSTB0899_TP_BUFFER_IN35             0x1EF  /* pos 0, size 16 */


/* 0xF310 */
#define RSTB0899_TPBUFFER36                  0xA0  /* reg */
#define FSTB0899_TP_BUFFER_IN36             0x1F0  /* pos 0, size 16 */


/* 0xF314 */
#define RSTB0899_TPBUFFER37                  0xA1  /* reg */
#define FSTB0899_TP_BUFFER_IN37             0x1F1  /* pos 0, size 16 */


/* 0xF318 */
#define RSTB0899_TPBUFFER38                  0xA2  /* reg */
#define FSTB0899_TP_BUFFER_IN38             0x1F2  /* pos 0, size 16 */


/* 0xF31C */
#define RSTB0899_TPBUFFER39                  0xA3  /* reg */
#define FSTB0899_TP_BUFFER_IN39             0x1F3  /* pos 0, size 16 */


/* 0xF320 */
#define RSTB0899_TPBUFFER40                  0xA4  /* reg */
#define FSTB0899_TP_BUFFER_IN40             0x1F4  /* pos 0, size 16 */


/* 0xF324 */
#define RSTB0899_TPBUFFER41                  0xA5  /* reg */
#define FSTB0899_TP_BUFFER_IN41             0x1F5  /* pos 0, size 16 */


/* 0xF328 */
#define RSTB0899_TPBUFFER42                  0xA6  /* reg */
#define FSTB0899_TP_BUFFER_IN42             0x1F6  /* pos 0, size 16 */


/* 0xF32C */
#define RSTB0899_TPBUFFER43                  0xA7  /* reg */
#define FSTB0899_TP_BUFFER_IN43             0x1F7  /* pos 0, size 16 */


/* 0xF330 */
#define RSTB0899_TPBUFFER44                  0xA8  /* reg */
#define FSTB0899_TP_BUFFER_IN44             0x1F8  /* pos 0, size 16 */


/* 0xF334 */
#define RSTB0899_TPBUFFER45                  0xA9  /* reg */
#define FSTB0899_TP_BUFFER_IN45             0x1F9  /* pos 0, size 16 */


/* 0xF338 */
#define RSTB0899_TPBUFFER46                  0xAA  /* reg */
#define FSTB0899_TP_BUFFER_IN46             0x1FA  /* pos 0, size 16 */


/* 0xF33C */
#define RSTB0899_TPBUFFER47                  0xAB  /* reg */
#define FSTB0899_TP_BUFFER_IN47             0x1FB  /* pos 0, size 16 */


/* 0xF340 */
#define RSTB0899_TPBUFFER48                  0xAC  /* reg */
#define FSTB0899_TP_BUFFER_IN48             0x1FC  /* pos 0, size 16 */


/* 0xF344 */
#define RSTB0899_TPBUFFER49                  0xAD  /* reg */
#define FSTB0899_TP_BUFFER_IN49             0x1FD  /* pos 0, size 16 */


/* 0xF348 */
#define RSTB0899_TPBUFFER50                  0xAE  /* reg */
#define FSTB0899_TP_BUFFER_IN50             0x1FE  /* pos 0, size 16 */


/* 0xF34C */
#define RSTB0899_TPBUFFER51                  0xAF  /* reg */
#define FSTB0899_TP_BUFFER_IN51             0x1FF  /* pos 0, size 16 */


/* 0xF350 */
#define RSTB0899_TPBUFFER52                  0xB0  /* reg */
#define FSTB0899_TP_BUFFER_IN52             0x200  /* pos 0, size 16 */


/* 0xF354 */
#define RSTB0899_TPBUFFER53                  0xB1  /* reg */
#define FSTB0899_TP_BUFFER_IN53             0x201  /* pos 0, size 16 */


/* 0xF358 */
#define RSTB0899_TPBUFFER54                  0xB2  /* reg */
#define FSTB0899_TP_BUFFER_IN54             0x202  /* pos 0, size 16 */


/* 0xF35C */
#define RSTB0899_TPBUFFER55                  0xB3  /* reg */
#define FSTB0899_TP_BUFFER_IN55             0x203  /* pos 0, size 16 */


/* 0xF360 */
#define RSTB0899_TPBUFFER56                  0xB4  /* reg */
#define FSTB0899_TP_BUFFER_IN56             0x204  /* pos 0, size 16 */


/* 0xF364 */
#define RSTB0899_TPBUFFER57                  0xB5  /* reg */
#define FSTB0899_TP_BUFFER_IN57             0x205  /* pos 0, size 16 */


/* 0xF368 */
#define RSTB0899_TPBUFFER58                  0xB6  /* reg */
#define FSTB0899_TP_BUFFER_IN58             0x206  /* pos 0, size 16 */


/* 0xF36C */
#define RSTB0899_TPBUFFER59                  0xB7  /* reg */
#define FSTB0899_TP_BUFFER_IN59             0x207  /* pos 0, size 16 */


/* 0xF370 */
#define RSTB0899_TPBUFFER60                  0xB8  /* reg */
#define FSTB0899_TP_BUFFER_IN60             0x208  /* pos 0, size 16 */


/* 0xF374 */
#define RSTB0899_TPBUFFER61                  0xB9  /* reg */
#define FSTB0899_TP_BUFFER_IN61             0x209  /* pos 0, size 16 */


/* 0xF378 */
#define RSTB0899_TPBUFFER62                  0xBA  /* reg */
#define FSTB0899_TP_BUFFER_IN62             0x20A  /* pos 0, size 16 */


/* 0xF37C */
#define RSTB0899_TPBUFFER63                  0xBB  /* reg */
#define FSTB0899_TP_BUFFER_IN63             0x20B  /* pos 0, size 16 */


/* 0xF300 */
#define RSTB0899_RESETCNTRL                  0xBC  /* reg */
#define FSTB0899_DVBS2_SRST                 0x20C  /* pos 0, size 1 */


/* 0xF304 */
#define RSTB0899_ACMENABLE                   0xBD  /* reg */
#define FSTB0899_ACM_ENABLE                 0x20D  /* pos 0, size 1 */


/* 0xF30C */
#define RSTB0899_DESCRCNTRL                  0xBE  /* reg */
#define FSTB0899_DESCR_CNTRL                0x20E  /* pos 0, size 16 */


/* 0xF310 */
#define RSTB0899_CSMCNTRL1                   0xBF  /* reg */
#define FSTB0899_FORCE_FREQLOCK_STATE       0x20F  /* pos 19, size 1 */
#define FSTB0899_FREQLOCK_STATE             0x210  /* pos 18, size 1 */
#define FSTB0899_AUTO_PARAM                 0x211  /* pos 17, size 1 */
#define FSTB0899_FE_LOOP_SHIFT              0x212  /* pos 14, size 3 */
#define FSTB0899_CSM_AGC_SHIFT              0x213  /* pos 11, size 3 */
#define FSTB0899_CSM_AGC_GAIN               0x214  /* pos 2, size 9 */
#define FSTB0899_CSM_TOW_PASS               0x215  /* pos 1, size 1 */
#define FSTB0899_CSM_DVT_TABLE              0x216  /* pos 0, size 1 */


/* 0xF314 */
#define RSTB0899_CSMCNTRL2                   0xC0  /* reg */
#define FSTB0899_CSM_GAMMA_RHOACQ           0x217  /* pos 8, size 17 */
#define FSTB0899_CSM_GAMMA_ACQ              0x218  /* pos 0, size 8 */


/* 0xF318 */
#define RSTB0899_CSMCNTRL3                   0xC1  /* reg */
#define FSTB0899_CSM_GAMMA_RHOTRACK         0x219  /* pos 8, size 17 */
#define FSTB0899_CSM_GAMMA_TRACK            0x21A  /* pos 0, size 8 */


/* 0xF31C */
#define RSTB0899_CSMCNTRL4                   0xC2  /* reg */
#define FSTB0899_PHASE_DIFF_THRESHOLD       0x21B  /* pos 8, size 11 */
#define FSTB0899_LOCK_COUNT_THRESHOLD       0x21C  /* pos 0, size 8 */


/* 0xF320 */
#define RSTB0899_UWPCNTRL1                   0xC3  /* reg */
#define FSTB0899_UWP_THRESHOLD_SOF          0x21D  /* pos 11, size 15 */
#define FSTB0899_UWP_ESN0_QUANT             0x21E  /* pos 3, size 8 */
#define FSTB0899_UWP_ESN0_AVE               0x21F  /* pos 1, size 2 */
#define FSTB0899_UWP_START                  0x220  /* pos 0, size 1 */


/* 0xF324 */
#define RSTB0899_UWPCNTRL2                   0xC4  /* reg */
#define FSTB0899_UWP_MISS_THRESHOLD         0x221  /* pos 16, size 8 */
#define FSTB0899_FE_FINE_TRK                0x222  /* pos 8, size 8 */
#define FSTB0899_FE_COARSE_TRK              0x223  /* pos 0, size 8 */


/* 0xF328 */
#define RSTB0899_UWPSTAT1                    0xC5  /* reg */
#define FSTB0899_UWP_STATE                  0x224  /* pos 15, size 10 */
#define FSTB0899_UW_MAX_PEAK                0x225  /* pos 0, size 15 */


/* 0xF32C */
#define RSTB0899_UWPSTAT2                    0xC6  /* reg */
#define FSTB0899_ESN0_ESR                   0x226  /* pos 7, size 19 */
#define FSTB0899_UWP_DECODED_MODCODE        0x227  /* pos 0, size 7 */


/* 0xF340 */
#define RSTB0899_DMDSTAT2                    0xC7  /* reg */
#define FSTB0899_CSM_LOCK                   0x228  /* pos 1, size 1 */
#define FSTB0899_UWP_LOCK                   0x229  /* pos 0, size 1 */


/* 0xF344 */
#define RSTB0899_FREQADJSCALE                0xC8  /* reg */
#define FSTB0899_FREQ_ADJ_SCALE             0x22A  /* pos 0, size 12 */


/* 0xF34C */
#define RSTB0899_UWPCNTRL3                   0xC9  /* reg */
#define FSTB0899_UWP_THRESHOLD_TRACK        0x22B  /* pos 15, size 15 */
#define FSTB0899_UWP_THRESHOLD_ACQ          0x22C  /* pos 0, size 15 */


/* 0xF350 */
#define RSTB0899_SYMCLKSEL                   0xCA  /* reg */
#define FSTB0899_SYM_CLK_SEL                0x22D  /* pos 0, size 2 */


/* 0xF354 */
#define RSTB0899_SOFSRCHTO                   0xCB  /* reg */
#define FSTB0899_SOF_SEARCH_TIMEOUT         0x22E  /* pos 0, size 22 */


/* 0xF358 */
#define RSTB0899_ACQCNTRL1                   0xCC  /* reg */
#define FSTB0899_FE_FINE_ACQ                0x22F  /* pos 8, size 8 */
#define FSTB0899_FE_CORASE_ACQ              0x230  /* pos 0, size 8 */


/* 0xF35C */
#define RSTB0899_ACQCNTRL2                   0xCD  /* reg */
#define FSTB0899_ZIGZAG                     0x231  /* pos 25, size 1 */
#define FSTB0899_NUM_STEPS                  0x232  /* pos 17, size 8 */
#define FSTB0899_FREQ_STEP_SIZE             0x233  /* pos 0, size 17 */


/* 0xF360 */
#define RSTB0899_ACQCNTRL3                   0xCE  /* reg */
#define FSTB0899_THRESHOLD_SCL              0x234  /* pos 23, size 6 */
#define FSTB0899_UWP_THRESHOLD_SRCH         0x235  /* pos 8, size 15 */
#define FSTB0899_AUTO_REACQUIRE             0x236  /* pos 7, size 1 */
#define FSTB0899_TRACK_LOCK_SEL             0x237  /* pos 6, size 1 */
#define FSTB0899_ACQ_SEARCH_MODE            0x238  /* pos 4, size 2 */
#define FSTB0899_CONFIRM_FRAMES             0x239  /* pos 0, size 4 */


/* 0xF364 */
#define RSTB0899_FESETTLE                    0xCF  /* reg */
#define FSTB0899_SETTING_TIME               0x23A  /* pos 0, size 22 */


/* 0xF368 */
#define RSTB0899_ACDWELL                     0xD0  /* reg */
#define FSTB0899_DWELL_TIME                 0x23B  /* pos 0, size 22 */


/* 0xF36C */
#define RSTB0899_ACQUIRETRIG                 0xD1  /* reg */
#define FSTB0899_ACQUIRE                    0x23C  /* pos 0, size 1 */


/* 0xF370 */
#define RSTB0899_LOCKLOST                    0xD2  /* reg */
#define FSTB0899_LOCK_LOST                  0x23D  /* pos 0, size 1 */


/* 0xF374 */
#define RSTB0899_ACQSTAT1                    0xD3  /* reg */
#define FSTB0899_STEP_FREQ                  0x23E  /* pos 11, size 21 */
#define FSTB0899_ACQ_STATE                  0x23F  /* pos 8, size 3 */
#define FSTB0899_UW_DETECT_COUNT            0x240  /* pos 0, size 8 */


/* 0xF378 */
#define RSTB0899_ACQTIMEOUT                  0xD4  /* reg */
#define FSTB0899_ACQ_TIMEOUT                0x241  /* pos 0, size 22 */


/* 0xF37C */
#define RSTB0899_ACQTIME                     0xD5  /* reg */
#define FSTB0899_ACQ_TIME_SYM               0x242  /* pos 0, size 24 */


/* 0xF308 */
#define RSTB0899_FINALAGCCNTRL               0xD6  /* reg */
#define FSTB0899_FINAL_GAIN_INIT            0x243  /* pos 12, size 14 */
#define FSTB0899_FINAL_LOOP_GAIN            0x244  /* pos 8, size 4 */
#define FSTB0899_FINAL_LDGAIN_INIT          0x245  /* pos 7, size 1 */
#define FSTB0899_FINAL_AGC_REF              0x246  /* pos 0, size 7 */


/* 0xF30C */
#define RSTB0899_FINALAGCCGAIN               0xD7  /* reg */
#define FSTB0899_FINAL_AGC_GAIN             0x247  /* pos 0, size 14 */


/* 0xF310 */
#define RSTB0899_EQUILIZERINIT               0xD8  /* reg */
#define FSTB0899_EQ_SRST                    0x248  /* pos 1, size 1 */
#define FSTB0899_EQ_INIT                    0x249  /* pos 0, size 1 */


/* 0xF314 */
#define RSTB0899_EQCNTL                      0xD9  /* reg */
#define FSTB0899_EQ_ADAPT_MODE              0x24A  /* pos 18, size 1 */
#define FSTB0899_EQ_DELAY                   0x24B  /* pos 14, size 4 */
#define FSTB0899_EQ_QUANT_LEVEL             0x24C  /* pos 6, size 8 */
#define FSTB0899_EQ_DISABLE_UPDATE          0x24D  /* pos 5, size 1 */
#define FSTB0899_EQ_BYPASS                  0x24E  /* pos 4, size 1 */
#define FSTB0899_EQ_SHIFT                   0x24F  /* pos 0, size 4 */


/* 0xF320 */
#define RSTB0899_EQIINITCOEFF0               0xDA  /* reg */
#define FSTB0899_EQ_I_INITCOEFF0            0x250  /* pos 0, size 12 */


/* 0xF324 */
#define RSTB0899_EQIINITCOEFF1               0xDB  /* reg */
#define FSTB0899_EQ_I_INITCOEFF1            0x251  /* pos 0, size 12 */


/* 0xF328 */
#define RSTB0899_EQIINITCOEFF2               0xDC  /* reg */
#define FSTB0899_EQ_I_INITCOEFF2            0x252  /* pos 0, size 12 */


/* 0xF32C */
#define RSTB0899_EQIINITCOEFF3               0xDD  /* reg */
#define FSTB0899_EQ_I_INITCOEFF3            0x253  /* pos 0, size 12 */


/* 0xF330 */
#define RSTB0899_EQIINITCOEFF4               0xDE  /* reg */
#define FSTB0899_EQ_I_INITCOEFF4            0x254  /* pos 0, size 12 */


/* 0xF334 */
#define RSTB0899_EQIINITCOEFF5               0xDF  /* reg */
#define FSTB0899_EQ_I_INITCOEFF5            0x255  /* pos 0, size 12 */


/* 0xF338 */
#define RSTB0899_EQIINITCOEFF6               0xE0  /* reg */
#define FSTB0899_EQ_I_INITCOEFF6            0x256  /* pos 0, size 12 */


/* 0xF33C */
#define RSTB0899_EQIINITCOEFF7               0xE1  /* reg */
#define FSTB0899_EQ_I_INITCOEFF7            0x257  /* pos 0, size 12 */


/* 0xF340 */
#define RSTB0899_EQIINITCOEFF8               0xE2  /* reg */
#define FSTB0899_EQ_I_INITCOEFF8            0x258  /* pos 0, size 12 */


/* 0xF344 */
#define RSTB0899_EQIINITCOEFF9               0xE3  /* reg */
#define FSTB0899_EQ_I_INITCOEFF9            0x259  /* pos 0, size 12 */


/* 0xF348 */
#define RSTB0899_EQIINITCOEFF10              0xE4  /* reg */
#define FSTB0899_EQ_I_INITCOEFF10           0x25A  /* pos 0, size 12 */


/* 0xF350 */
#define RSTB0899_EQQINITCOEFF0               0xE5  /* reg */
#define FSTB0899_EQ_Q_INITCOEFF0            0x25B  /* pos 0, size 12 */


/* 0xF354 */
#define RSTB0899_EQQINITCOEFF1               0xE6  /* reg */
#define FSTB0899_EQ_Q_INITCOEFF1            0x25C  /* pos 0, size 12 */


/* 0xF358 */
#define RSTB0899_EQQINITCOEFF2               0xE7  /* reg */
#define FSTB0899_EQ_Q_INITCOEFF2            0x25D  /* pos 0, size 12 */


/* 0xF35C */
#define RSTB0899_EQQINITCOEFF3               0xE8  /* reg */
#define FSTB0899_EQ_Q_INITCOEFF3            0x25E  /* pos 0, size 12 */


/* 0xF360 */
#define RSTB0899_EQQINITCOEFF4               0xE9  /* reg */
#define FSTB0899_EQ_Q_INITCOEFF4            0x25F  /* pos 0, size 12 */


/* 0xF364 */
#define RSTB0899_EQQINITCOEFF5               0xEA  /* reg */
#define FSTB0899_EQ_Q_INITCOEFF5            0x260  /* pos 0, size 12 */


/* 0xF368 */
#define RSTB0899_EQQINITCOEFF6               0xEB  /* reg */
#define FSTB0899_EQ_Q_INITCOEFF6            0x261  /* pos 0, size 12 */


/* 0xF36C */
#define RSTB0899_EQQINITCOEFF7               0xEC  /* reg */
#define FSTB0899_EQ_Q_INITCOEFF7            0x262  /* pos 0, size 12 */


/* 0xF370 */
#define RSTB0899_EQQINITCOEFF8               0xED  /* reg */
#define FSTB0899_EQ_Q_INITCOEFF8            0x263  /* pos 0, size 12 */


/* 0xF374 */
#define RSTB0899_EQQINITCOEFF9               0xEE  /* reg */
#define FSTB0899_EQ_Q_INITCOEFF9            0x264  /* pos 0, size 12 */


/* 0xF378 */
#define RSTB0899_EQQINITCOEFF10              0xEF  /* reg */
#define FSTB0899_EQ_Q_INITCOEFF10           0x265  /* pos 0, size 12 */


/* 0xF300 */
#define RSTB0899_EQICOEFFSOUT0               0xF0  /* reg */
#define FSTB0899_EQ_I_COEFFOUT0             0x266  /* pos 0, size 12 */


/* 0xF304 */
#define RSTB0899_EQICOEFFSOUT1               0xF1  /* reg */
#define FSTB0899_EQ_I_COEFFOUT1             0x267  /* pos 0, size 12 */


/* 0xF308 */
#define RSTB0899_EQICOEFFSOUT2               0xF2  /* reg */
#define FSTB0899_EQ_I_COEFFOUT2             0x268  /* pos 0, size 12 */


/* 0xF30C */
#define RSTB0899_EQICOEFFSOUT3               0xF3  /* reg */
#define FSTB0899_EQ_I_COEFFOUT3             0x269  /* pos 0, size 12 */


/* 0xF310 */
#define RSTB0899_EQICOEFFSOUT4               0xF4  /* reg */
#define FSTB0899_EQ_I_COEFFOUT4             0x26A  /* pos 0, size 12 */


/* 0xF314 */
#define RSTB0899_EQICOEFFSOUT5               0xF5  /* reg */
#define FSTB0899_EQ_I_COEFFOUT5             0x26B  /* pos 0, size 12 */


/* 0xF318 */
#define RSTB0899_EQICOEFFSOUT6               0xF6  /* reg */
#define FSTB0899_EQ_I_COEFFOUT6             0x26C  /* pos 0, size 12 */


/* 0xF31C */
#define RSTB0899_EQICOEFFSOUT7               0xF7  /* reg */
#define FSTB0899_EQ_I_COEFFOUT7             0x26D  /* pos 0, size 12 */


/* 0xF320 */
#define RSTB0899_EQICOEFFSOUT8               0xF8  /* reg */
#define FSTB0899_EQ_I_COEFFOUT8             0x26E  /* pos 0, size 12 */


/* 0xF324 */
#define RSTB0899_EQICOEFFSOUT9               0xF9  /* reg */
#define FSTB0899_EQ_I_COEFFOUT9             0x26F  /* pos 0, size 12 */


/* 0xF328 */
#define RSTB0899_EQICOEFFSOUT10              0xFA  /* reg */
#define FSTB0899_EQ_I_COEFFOUT10            0x270  /* pos 0, size 12 */


/* 0xF330 */
#define RSTB0899_EQQCOEFFSOUT0               0xFB  /* reg */
#define FSTB0899_EQ_Q_COEFFOUT0             0x271  /* pos 0, size 12 */


/* 0xF334 */
#define RSTB0899_EQQCOEFFSOUT1               0xFC  /* reg */
#define FSTB0899_EQ_Q_COEFFOUT1             0x272  /* pos 0, size 12 */


/* 0xF338 */
#define RSTB0899_EQQCOEFFSOUT2               0xFD  /* reg */
#define FSTB0899_EQ_Q_COEFFOUT2             0x273  /* pos 0, size 12 */


/* 0xF33C */
#define RSTB0899_EQQCOEFFSOUT3               0xFE  /* reg */
#define FSTB0899_EQ_Q_COEFFOUT3             0x274  /* pos 0, size 12 */


/* 0xF340 */
#define RSTB0899_EQQCOEFFSOUT4               0xFF  /* reg */
#define FSTB0899_EQ_Q_COEFFOUT4             0x275  /* pos 0, size 12 */


/* 0xF344 */
#define RSTB0899_EQQCOEFFSOUT5              0x100  /* reg */
#define FSTB0899_EQ_Q_COEFFOUT5             0x276  /* pos 0, size 12 */


/* 0xF348 */
#define RSTB0899_EQQCOEFFSOUT6              0x101  /* reg */
#define FSTB0899_EQ_Q_COEFFOUT6             0x277  /* pos 0, size 12 */


/* 0xF34C */
#define RSTB0899_EQQCOEFFSOUT7              0x102  /* reg */
#define FSTB0899_EQ_Q_COEFFOUT7             0x278  /* pos 0, size 12 */


/* 0xF350 */
#define RSTB0899_EQQCOEFFSOUT8              0x103  /* reg */
#define FSTB0899_EQ_Q_COEFFOUT8             0x279  /* pos 0, size 12 */


/* 0xF354 */
#define RSTB0899_EQQCOEFFSOUT9              0x104  /* reg */
#define FSTB0899_EQ_Q_COEFFOUT9             0x27A  /* pos 0, size 12 */


/* 0xF358 */
#define RSTB0899_EQQCOEFFSOUT10             0x105  /* reg */
#define FSTB0899_EQ_Q_COEFFOUT10            0x27B  /* pos 0, size 12 */


/* 0xF40E */
#define RSTB0899_DEMOD                      0x106  /* reg */
#define FSTB0899_DEMOD_RESERVED             0x27C  /* pos 6, size 2 */
#define FSTB0899_IQSYMB_SEL                 0x27D  /* pos 4, size 2 */
#define FSTB0899_DEMOD_RESERVED2            0x27E  /* pos 2, size 2 */
#define FSTB0899_DEMOD_RESERVED3            0x27F  /* pos 1, size 1 */
#define FSTB0899_MODE_COEF                  0x280  /* pos 0, size 1 */


/* 0xF410 */
#define RSTB0899_RCOMPC                     0x107  /* reg */
#define FSTB0899_IMBCOMP_ON                 0x281  /* pos 7, size 1 */
#define FSTB0899_DCADJ_FORCE                0x282  /* pos 6, size 1 */
#define FSTB0899_DCCOMP_BETA                0x283  /* pos 3, size 3 */
#define FSTB0899_IMBCOMP_BETA               0x284  /* pos 0, size 3 */


/* 0xF412 */
#define RSTB0899_AGC1CN                     0x108  /* reg */
#define FSTB0899_AGC1CN_RESERVED            0x285  /* pos 7, size 1 */
#define FSTB0899_AGCOUT_FAST                0x286  /* pos 6, size 1 */
#define FSTB0899_AGC1CN_RESERVED2           0x287  /* pos 3, size 3 */
#define FSTB0899_AGCIQ_BETA1                0x288  /* pos 0, size 3 */


/* 0xF413 */
#define RSTB0899_AGC1REF                    0x109  /* reg */
#define FSTB0899_AGC1REF_RESERVED           0x289  /* pos 6, size 2 */
#define FSTB0899_AGCIQ_REF                  0x28A  /* pos 0, size 6 */


/* 0xF417 */
#define RSTB0899_RTC                        0x10A  /* reg */
#define FSTB0899_ALPHA_TMG                  0x28B  /* pos 4, size 4 */
#define FSTB0899_BETA_TMG                   0x28C  /* pos 0, size 4 */


/* 0xF418 */
#define RSTB0899_TMGCFG                     0x10B  /* reg */
#define FSTB0899_MODE_150PPM                0x28D  /* pos 7, size 1 */
#define FSTB0899_FENASAMP                   0x28E  /* pos 6, size 1 */
#define FSTB0899_TMG_AUTOSRCH               0x28F  /* pos 4, size 2 */
#define FSTB0899_TMG_RAMPM                  0x290  /* pos 3, size 1 */
#define FSTB0899_TMG_SEARCHRANGE            0x291  /* pos 0, size 3 */


/* 0xF419 */
#define RSTB0899_AGC2REF                    0x10C  /* reg */
#define FSTB0899_AGC2_COEFF                 0x292  /* pos 5, size 3 */
#define FSTB0899_AGC2_REF                   0x293  /* pos 0, size 5 */


/* 0xF41A */
#define RSTB0899_TLSR                       0x10D  /* reg */
#define FSTB0899_STEP_MINUS                 0x294  /* pos 4, size 4 */
#define FSTB0899_STEP_PLUS                  0x295  /* pos 0, size 4 */


/* 0xF41B */
#define RSTB0899_CFD                        0x10E  /* reg */
#define FSTB0899_CFD_ON                     0x296  /* pos 7, size 1 */
#define FSTB0899_BETA_FC                    0x297  /* pos 4, size 3 */
#define FSTB0899_FDCT                       0x298  /* pos 2, size 2 */
#define FSTB0899_LDL                        0x299  /* pos 0, size 2 */


/* 0xF41C */
#define RSTB0899_ACLC                       0x10F  /* reg */
#define FSTB0899_DEROT_ON_OFF               0x29A  /* pos 7, size 1 */
#define FSTB0899_ACLC                       0x29B  /* pos 6, size 1 */
#define FSTB0899_NOISE                      0x29C  /* pos 4, size 2 */
#define FSTB0899_ALPHA                      0x29D  /* pos 0, size 4 */


/* 0xF41D */
#define RSTB0899_BCLC                       0x110  /* reg */
#define FSTB0899_ALGO                       0x29E  /* pos 6, size 2 */
#define FSTB0899_BETA                       0x29F  /* pos 0, size 6 */


/* 0xF41E */
#define RSTB0899_EQON                       0x111  /* reg */
#define FSTB0899_EQON_RESERVED              0x2A0  /* pos 7, size 1 */
#define FSTB0899_EGAL_ON                    0x2A1  /* pos 6, size 1 */
#define FSTB0899_EQON_RESERVED2             0x2A2  /* pos 0, size 6 */


/* 0xF41F */
#define RSTB0899_LDT                        0x112  /* reg */
#define FSTB0899_LOCK_THRESHOLD             0x2A3  /* pos 0, size 8 */


/* 0xF420 */
#define RSTB0899_LDT2                       0x113  /* reg */
#define FSTB0899_LOCK_THRESHOLD2            0x2A4  /* pos 0, size 8 */


/* 0xF425 */
#define RSTB0899_EQUALREF                   0x114  /* reg */
#define FSTB0899_RSTEQBEFTOUT               0x2A5  /* pos 7, size 1 */
#define FSTB0899_FRSTPLF_PSKCHG             0x2A6  /* pos 6, size 1 */
#define FSTB0899_RSTEQ_PSKCHG               0x2A7  /* pos 5, size 1 */
#define FSTB0899_EQUALREF_RESERVED          0x2A8  /* pos 0, size 5 */


/* 0xF426 */
#define RSTB0899_TMGRAMP                    0x115  /* reg */
#define FSTB0899_TMGLOCK_RAMP               0x2A9  /* pos 0, size 8 */


/* 0xF427 */
#define RSTB0899_TMGTHD                     0x116  /* reg */
#define FSTB0899_TMGLOCK_THR                0x2AA  /* pos 0, size 8 */


/* 0xF428 */
#define RSTB0899_IDCCOMP                    0x117  /* reg */
#define FSTB0899_IAVERAGE_ADJ               0x2AB  /* pos 1, size 7 */
#define FSTB0899_IDCADJ_FORCE               0x2AC  /* pos 0, size 1 */


/* 0xF429 */
#define RSTB0899_QDCCOMP                    0x118  /* reg */
#define FSTB0899_QAVERAGE_ADJ               0x2AD  /* pos 1, size 7 */
#define FSTB0899_QDCADJ_FORCE               0x2AE  /* pos 0, size 1 */


/* 0xF42A */
#define RSTB0899_POWERI                     0x119  /* reg */
#define FSTB0899_POWER_I                    0x2AF  /* pos 0, size 8 */


/* 0xF42B */
#define RSTB0899_POWERQ                     0x11A  /* reg */
#define FSTB0899_POWER_Q                    0x2B0  /* pos 0, size 8 */


/* 0xF42C */
#define RSTB0899_RCOMP                      0x11B  /* reg */
#define FSTB0899_RCOMP_VALUE                0x2B1  /* pos 0, size 8 */


/* 0xF42E */
#define RSTB0899_AGCIQIN                    0x11C  /* reg */
#define FSTB0899_AGCIQ_VALUE                0x2B2  /* pos 0, size 8 */


/* 0xF436 */
#define RSTB0899_AGC2I1                     0x11D  /* reg */
#define FSTB0899_AGC2I_MSB                  0x2B3  /* pos 0, size 8 */


/* 0xF437 */
#define RSTB0899_AGC2I2                     0x11E  /* reg */
#define FSTB0899_AGC2I_LSB                  0x2B4  /* pos 0, size 8 */


/* 0xF438 */
#define RSTB0899_TLIR                       0x11F  /* reg */
#define FSTB0899_TMG_LOCK_IND               0x2B5  /* pos 0, size 8 */


/* 0xF439 */
#define RSTB0899_RTF                        0x120  /* reg */
#define FSTB0899_TIMING_LOOP_FREQ           0x2B6  /* pos 0, size 8 */


/* 0xF43A */
#define RSTB0899_DSTATUS                    0x121  /* reg */
#define FSTB0899_CARRIER_FOUND              0x2B7  /* pos 7, size 1 */
#define FSTB0899_TMG_LOCK                   0x2B8  /* pos 6, size 1 */
#define FSTB0899_LOCKED_FOR_DEM             0x2B9  /* pos 5, size 1 */
#define FSTB0899_TMG_AUTOSRCH_ON            0x2BA  /* pos 4, size 1 */
#define FSTB0899_END_MAINLOOP               0x2BB  /* pos 3, size 1 */
#define FSTB0899_DSTATUS_RESERVED           0x2BC  /* pos 2, size 1 */


/* 0xF43B */
#define RSTB0899_LDI                        0x122  /* reg */
#define FSTB0899_LOCK_DET_INTEGR            0x2BD  /* pos 0, size 8 */


/* 0xF43E */
#define RSTB0899_CFRM                       0x123  /* reg */
#define FSTB0899_CARRIER_FREQUENCY_MSB      0x2BE  /* pos 0, size 8 */


/* 0xF43F */
#define RSTB0899_CFRL                       0x124  /* reg */
#define FSTB0899_CARRIER_FREQUENCY_LSB      0x2BF  /* pos 0, size 8 */


/* 0xF440 */
#define RSTB0899_NIRM                       0x125  /* reg */
#define FSTB0899_NOISE_IND_MSB              0x2C0  /* pos 0, size 8 */


/* 0xF441 */
#define RSTB0899_NIRL                       0x126  /* reg */
#define FSTB0899_NOISE_IND_LSB              0x2C1  /* pos 0, size 8 */


/* 0xF444 */
#define RSTB0899_ISYMB                      0x127  /* reg */
#define FSTB0899_I_SYMBOL                   0x2C2  /* pos 0, size 8 */


/* 0xF445 */
#define RSTB0899_QSYMB                      0x128  /* reg */
#define FSTB0899_Q_SYMBOL                   0x2C3  /* pos 0, size 8 */


/* 0xF446 */
#define RSTB0899_SFRH                       0x129  /* reg */
#define FSTB0899_SYMB_FREQ_HSB              0x2C4  /* pos 0, size 8 */


/* 0xF447 */
#define RSTB0899_SFRM                       0x12A  /* reg */
#define FSTB0899_SYMB_FREQ_MSB              0x2C5  /* pos 0, size 8 */


/* 0xF448 */
#define RSTB0899_SFRL                       0x12B  /* reg */
#define FSTB0899_SYMB_FREQ_LSB              0x2C6  /* pos 4, size 4 */
#define FSTB0899_SFRL_RESERVED              0x2C7  /* pos 0, size 4 */


/* 0xF44C */
#define RSTB0899_SFRUPH                     0x12C  /* reg */
#define FSTB0899_SYMB_FREQ_UP_HSB           0x2C8  /* pos 0, size 8 */


/* 0xF44D */
#define RSTB0899_SFRUPM                     0x12D  /* reg */
#define FSTB0899_SYMB_FREQ_UP_MSB           0x2C9  /* pos 0, size 8 */


/* 0xF44E */
#define RSTB0899_SFRUPL                     0x12E  /* reg */
#define FSTB0899_SYMB_FREQ_UP_LSB           0x2CA  /* pos 4, size 4 */
#define FSTB0899_SFRUPL_RESERVED            0x2CB  /* pos 0, size 4 */


/* 0xF4E0 */
#define RSTB0899_EQUAI1                     0x12F  /* reg */
#define FSTB0899_EQUAI1                     0x2CC  /* pos 0, size 8 */


/* 0xF4E1 */
#define RSTB0899_EQUAQ1                     0x130  /* reg */
#define FSTB0899_EQUAQ1                     0x2CD  /* pos 0, size 8 */


/* 0xF4E2 */
#define RSTB0899_EQUAI2                     0x131  /* reg */
#define FSTB0899_EQUAI2                     0x2CE  /* pos 0, size 8 */


/* 0xF4E3 */
#define RSTB0899_EQUAQ2                     0x132  /* reg */
#define FSTB0899_EQUAQ2                     0x2CF  /* pos 0, size 8 */


/* 0xF4E4 */
#define RSTB0899_EQUAI3                     0x133  /* reg */
#define FSTB0899_EQUAI3                     0x2D0  /* pos 0, size 8 */


/* 0xF4E5 */
#define RSTB0899_EQUAQ3                     0x134  /* reg */
#define FSTB0899_EQUAQ3                     0x2D1  /* pos 0, size 8 */


/* 0xF4E6 */
#define RSTB0899_EQUAI4                     0x135  /* reg */
#define FSTB0899_EQUAI4                     0x2D2  /* pos 0, size 8 */


/* 0xF4E7 */
#define RSTB0899_EQUAQ4                     0x136  /* reg */
#define FSTB0899_EQUAQ4                     0x2D3  /* pos 0, size 8 */


/* 0xF4E8 */
#define RSTB0899_EQUAI5                     0x137  /* reg */
#define FSTB0899_EQUAI5                     0x2D4  /* pos 0, size 8 */


/* 0xF4E9 */
#define RSTB0899_EQUAQ5                     0x138  /* reg */
#define FSTB0899_EQUAQ5                     0x2D5  /* pos 0, size 8 */


/* 0xF50C */
#define RSTB0899_DSTATUS2                   0x139  /* reg */
#define FSTB0899_DS2_TMGAUTOSRCH_ON         0x2D6  /* pos 7, size 1 */
#define FSTB0899_DS2_ENDMAINLOOP            0x2D7  /* pos 6, size 1 */
#define FSTB0899_DS2_CFSYNC                 0x2D8  /* pos 5, size 1 */
#define FSTB0899_DS2_TMGLOCK                0x2D9  /* pos 4, size 1 */
#define FSTB0899_DS2_DEMODWAIT              0x2DA  /* pos 3, size 1 */
#define FSTB0899_DSTATUS2_RESERVED          0x2DB  /* pos 2, size 1 */
#define FSTB0899_DS2_FECON                  0x2DC  /* pos 1, size 1 */
#define FSTB0899_DSTATUS2_RESERVED2         0x2DD  /* pos 0, size 1 */


/* 0xF50D */
#define RSTB0899_VSTATUS                    0x13A  /* reg */
#define FSTB0899_VITERBI_ON                 0x2DE  /* pos 7, size 1 */
#define FSTB0899_END_LOOPVIT                0x2DF  /* pos 6, size 1 */
#define FSTB0899_VSTATUS_RESERVED           0x2E0  /* pos 5, size 1 */
#define FSTB0899_PRFVIT                     0x2E1  /* pos 4, size 1 */
#define FSTB0899_LOCKEDVIT                  0x2E2  /* pos 3, size 1 */
#define FSTB0899_VSTATUS_RESERVED2          0x2E3  /* pos 2, size 3 */


/* 0xF50F */
#define RSTB0899_VERROR                     0x13B  /* reg */
#define FSTB0899_ERROR_VAL                  0x2E4  /* pos 0, size 8 */


/* 0xF523 */
#define RSTB0899_IQSWAP                     0x13C  /* reg */
#define FSTB0899_IQSWAP_RESERVED            0x2E5  /* pos 4, size 4 */
#define FSTB0899_SYM                        0x2E6  /* pos 3, size 1 */
#define FSTB0899_IQSWAP_RESERVED2           0x2E7  /* pos 0, size 3 */


/* 0xF524 */
#define RSTB0899_ECNTM                      0x13D  /* reg */
#define FSTB0899_ERROR_COUNT_MSB            0x2E8  /* pos 0, size 8 */


/* 0xF525 */
#define RSTB0899_ECNTL                      0x13E  /* reg */
#define FSTB0899_ERROR_COUNT_LSB            0x2E9  /* pos 0, size 8 */


/* 0xF526 */
#define RSTB0899_ECNT2M                     0x13F  /* reg */
#define FSTB0899_ERROR_COUNT2_MSB           0x2EA  /* pos 0, size 8 */


/* 0xF527 */
#define RSTB0899_ECNT2L                     0x140  /* reg */
#define FSTB0899_ERROR_COUNT2_LSB           0x2EB  /* pos 0, size 8 */


/* 0xF528 */
#define RSTB0899_ECNT3M                     0x141  /* reg */
#define FSTB0899_ERROR_COUNT3_MSB           0x2EC  /* pos 0, size 8 */


/* 0xF529 */
#define RSTB0899_ECNT3L                     0x142  /* reg */
#define FSTB0899_ERROR_COUNT3_LSB           0x2ED  /* pos 0, size 8 */


/* 0xF530 */
#define RSTB0899_FECAUTO1                   0x143  /* reg */
#define FSTB0899_FECAUTO1_RESERVED          0x2EE  /* pos 4, size 4 */
#define FSTB0899_FECAUTO1_RESERVED2         0x2EF  /* pos 3, size 1 */
#define FSTB0899_SYMSRCH                    0x2F0  /* pos 2, size 1 */
#define FSTB0899_QPSKSRCH                   0x2F1  /* pos 1, size 1 */
#define FSTB0899_BPSKSRCH                   0x2F2  /* pos 0, size 1 */


/* 0xF533 */
#define RSTB0899_FECM                       0x144  /* reg */
#define FSTB0899_FECM_RESERVED0             0x2F3  /* pos 7, size 1 */
#define FSTB0899_FECM_RESERVED              0x2F4  /* pos 4, size 3 */
#define FSTB0899_VITON                      0x2F5  /* pos 3, size 1 */
#define FSTB0899_FECM_RESERVED2             0x2F6  /* pos 2, size 1 */
#define FSTB0899_SYNCDIS                    0x2F7  /* pos 1, size 1 */
#define FSTB0899_SYMI                       0x2F8  /* pos 0, size 1 */


/* 0xF534 */
#define RSTB0899_VTH12                      0x145  /* reg */
#define FSTB0899_VTH12                      0x2F9  /* pos 0, size 8 */


/* 0xF535 */
#define RSTB0899_VTH23                      0x146  /* reg */
#define FSTB0899_VTH23                      0x2FA  /* pos 0, size 8 */


/* 0xF536 */
#define RSTB0899_VTH34                      0x147  /* reg */
#define FSTB0899_VTH34                      0x2FB  /* pos 0, size 8 */


/* 0xF537 */
#define RSTB0899_VTH56                      0x148  /* reg */
#define FSTB0899_VTH56                      0x2FC  /* pos 0, size 8 */


/* 0xF538 */
#define RSTB0899_VTH67                      0x149  /* reg */
#define FSTB0899_VTH67                      0x2FD  /* pos 0, size 8 */


/* 0xF539 */
#define RSTB0899_VTH78                      0x14A  /* reg */
#define FSTB0899_VTH78                      0x2FE  /* pos 0, size 8 */


/* 0xF53C */
#define RSTB0899_PRVIT                      0x14B  /* reg */
#define FSTB0899_PRVIT_RESERVED             0x2FF  /* pos 6, size 2 */
#define FSTB0899_PR_7_8                     0x300  /* pos 5, size 1 */
#define FSTB0899_PR_6_7                     0x301  /* pos 4, size 1 */
#define FSTB0899_PR_5_6                     0x302  /* pos 3, size 1 */
#define FSTB0899_PR_3_4                     0x303  /* pos 2, size 1 */
#define FSTB0899_PR_2_3                     0x304  /* pos 1, size 1 */
#define FSTB0899_PR_1_2                     0x305  /* pos 0, size 1 */


/* 0xF53D */
#define RSTB0899_VITSYNC                    0x14C  /* reg */
#define FSTB0899_AM                         0x306  /* pos 7, size 1 */
#define FSTB0899_FREEZE                     0x307  /* pos 6, size 1 */
#define FSTB0899_SN                         0x308  /* pos 4, size 2 */
#define FSTB0899_TO                         0x309  /* pos 2, size 2 */
#define FSTB0899_HYST                       0x30A  /* pos 0, size 2 */


/* 0xF548 */
#define RSTB0899_RSULC                      0x14D  /* reg */
#define FSTB0899_ULDIL_ON                   0x30B  /* pos 7, size 1 */
#define FSTB0899_ULAUTO_ON                  0x30C  /* pos 6, size 1 */
#define FSTB0899_ULRS_ON                    0x30D  /* pos 5, size 1 */
#define FSTB0899_ULDESCRAMB_ON              0x30E  /* pos 4, size 1 */
#define FSTB0899_RSULC_RESERVED             0x30F  /* pos 3, size 1 */
#define FSTB0899_UL_DISABLE                 0x310  /* pos 2, size 1 */
#define FSTB0899_RSULC_RESERVED2            0x311  /* pos 1, size 1 */
#define FSTB0899_UL_NOFTHRESHOLD            0x312  /* pos 0, size 1 */


/* 0xF549 */
#define RSTB0899_TSULC                      0x14E  /* reg */
#define FSTB0899_ULNOSYNCBYTES              0x313  /* pos 7, size 1 */
#define FSTB0899_ULPARYTY_ON                0x314  /* pos 6, size 1 */
#define FSTB0899_ULSYNCOUTRS                0x315  /* pos 5, size 1 */
#define FSTB0899_TSULL_RESERVED             0x316  /* pos 1, size 4 */
#define FSTB0899_TSULL_RESERVED2            0x317  /* pos 0, size 1 */


/* 0xF54A */
#define RSTB0899_RSLLC                      0x14F  /* reg */
#define FSTB0899_LLDIL_ON                   0x318  /* pos 7, size 1 */
#define FSTB0899_LLAUTO_ON                  0x319  /* pos 6, size 1 */
#define FSTB0899_LLRS_ON                    0x31A  /* pos 5, size 1 */
#define FSTB0899_LLDESCRAMB_ON              0x31B  /* pos 4, size 1 */
#define FSTB0899_RSLLC_RESERVED             0x31C  /* pos 3, size 1 */
#define FSTB0899_LL_DISABLE                 0x31D  /* pos 2, size 1 */
#define FSTB0899_RSLLC_RESERVED2            0x31E  /* pos 1, size 1 */
#define FSTB0899_LL_NOFTHRESHOLD            0x31F  /* pos 0, size 1 */


/* 0xF54B */
#define RSTB0899_TSLPL                      0x150  /* reg */
#define FSTB0899_TSLLL_RESERVED             0x320  /* pos 5, size 3 */
#define FSTB0899_LLDVBS2_MODE               0x321  /* pos 4, size 1 */
#define FSTB0899_LLISSYI_ON                 0x322  /* pos 3, size 1 */
#define FSTB0899_LLNPD_ON                   0x323  /* pos 2, size 1 */
#define FSTB0899_LLCRC8_ON                  0x324  /* pos 1, size 1 */
#define FSTB0899_TSLLL_RESERVED2            0x325  /* pos 0, size 1 */


/* 0xF54C */
#define RSTB0899_TSCFGH                     0x151  /* reg */
#define FSTB0899_RSCFGH_RESERVED            0x326  /* pos 7, size 1 */
#define FSTB0899_OUTRS_PS                   0x327  /* pos 6, size 1 */
#define FSTB0899_SYNCBYTE                   0x328  /* pos 5, size 1 */
#define FSTB0899_PFBIT                      0x329  /* pos 4, size 1 */
#define FSTB0899_ERR_BIT                    0x32A  /* pos 3, size 1 */
#define FSTB0899_MPEG                       0x32B  /* pos 2, size 1 */
#define FSTB0899_CLK_POL                    0x32C  /* pos 1, size 1 */
#define FSTB0899_FORCE0                     0x32D  /* pos 0, size 1 */


/* 0xF54D */
#define RSTB0899_TSCFGM                     0x152  /* reg */
#define FSTB0899_RSCFGM_RESERVED            0x32E  /* pos 4, size 4 */
#define FSTB0899_LLPRIORITY                 0x32F  /* pos 3, size 1 */
#define FSTB0899_EN_188                     0x330  /* pos 2, size 1 */
#define FSTB0899_RSCFGM_RESERVED2           0x331  /* pos 0, size 2 */


/* 0xF54E */
#define RSTB0899_TSCFGL                     0x153  /* reg */
#define FSTB0899_DEL_ERRPACK                0x332  /* pos 7, size 1 */
#define FSTB0899_RSCFGL_RESERVED            0x333  /* pos 6, size 1 */
#define FSTB0899_ERRFLAGSTD                 0x334  /* pos 5, size 1 */
#define FSTB0899_MPEGERR                    0x335  /* pos 4, size 1 */
#define FSTB0899_BCH_CHK                    0x336  /* pos 3, size 1 */
#define FSTB0899_CRC8_CHK                   0x337  /* pos 2, size 1 */
#define FSTB0899_ERRFLAG_MODE               0x338  /* pos 0, size 2 */


/* 0xF54F */
#define RSTB0899_TSOUT                      0x154  /* reg */
#define FSTB0899_OV_TSFIFO                  0x339  /* pos 7, size 1 */
#define FSTB0899_ENA_AUTO                   0x33A  /* pos 6, size 1 */
#define FSTB0899_EN_STBACKEND               0x33B  /* pos 5, size 1 */
#define FSTB0899_ENA_LEVEL                  0x33C  /* pos 1, size 4 */
#define FSTB0899_ENA_FRAC                   0x33D  /* pos 0, size 1 */


/* 0xF550 */
#define RSTB0899_RSSYNC                     0x155  /* reg */
#define FSTB0899_RST_DIL                    0x33E  /* pos 7, size 1 */
#define FSTB0899_RSISCR_DISABLE             0x33F  /* pos 6, size 1 */
#define FSTB0899_NPDREGEN_OFF               0x340  /* pos 5, size 1 */
#define FSTB0899_RSPACKSYNC_DIS             0x341  /* pos 4, size 1 */
#define FSTB0899_RSEXT_OUTENABLE            0x342  /* pos 3, size 1 */
#define FSTB0899_RSSYNC_SEL                 0x343  /* pos 0, size 3 */


/* 0xF551 */
#define RSTB0899_TSINSDELH                  0x156  /* reg */
#define FSTB0899_TSDEL_SYNCBYTE             0x344  /* pos 7, size 1 */
#define FSTB0899_TSDEL_XXHEADER             0x345  /* pos 6, size 1 */
#define FSTB0899_TSINS_LMTIMESTAM           0x346  /* pos 5, size 1 */
#define FSTB0899_TSDEL_DATAFIELD            0x347  /* pos 4, size 1 */
#define FSTB0899_TSINS_ISCR                 0x348  /* pos 3, size 1 */
#define FSTB0899_TSINS_NPD                  0x349  /* pos 2, size 1 */
#define FSTB0899_TSINS_RSPARITY             0x34A  /* pos 1, size 1 */
#define FSTB0899_TSINS_CRC8                 0x34B  /* pos 0, size 1 */


/* 0xF552 */
#define RSTB0899_TSINSDELM                  0x157  /* reg */
#define FSTB0899_TSDEL_BBPADDING            0x34C  /* pos 7, size 1 */
#define FSTB0899_TSDEL_BCHFEC               0x34D  /* pos 6, size 1 */
#define FSTB0899_TSDEL_LDPCFEC              0x34E  /* pos 5, size 1 */
#define FSTB0899_TSINS_EMODCOD              0x34F  /* pos 4, size 1 */
#define FSTB0899_TSINS_TOKEN                0x350  /* pos 3, size 1 */
#define FSTB0899_TSINS_LDPCERR              0x351  /* pos 2, size 1 */
#define FSTB0899_TSINS_BCHERR               0x352  /* pos 1, size 1 */
#define FSTB0899_TSINS_MATYPE               0x353  /* pos 0, size 1 */


/* 0xF553 */
#define RSTB0899_TSINSDELL                  0x158  /* reg */
#define FSTB0899_TSINS_UPL                  0x354  /* pos 7, size 1 */
#define FSTB0899_TSINS_DFL                  0x355  /* pos 6, size 1 */
#define FSTB0899_TSINS_SYNC                 0x356  /* pos 5, size 1 */
#define FSTB0899_TSINS_SYNCD                0x357  /* pos 4, size 1 */
#define FSTB0899_TSINS_BLOCLEN              0x358  /* pos 3, size 1 */
#define FSTB0899_TSINS_PCOUNT               0x359  /* pos 2, size 1 */
#define FSTB0899_TSINS_RSCONFIG             0x35A  /* pos 1, size 1 */
#define FSTB0899_TSINS_RSDIAG               0x35B  /* pos 0, size 1 */


/* 0xF55A */
#define RSTB0899_TSLLSTKM                   0x159  /* reg */
#define FSTB0899_DIL_FULL                   0x35C  /* pos 7, size 1 */
#define FSTB0899_DILSTK_MSB                 0x35D  /* pos 0, size 7 */


/* 0xF55B */
#define RSTB0899_TSLLSTKL                   0x15A  /* reg */
#define FSTB0899_DILSTK_LSB                 0x35E  /* pos 0, size 8 */


/* 0xF55C */
#define RSTB0899_TSULSTKM                   0x15B  /* reg */
#define FSTB0899_DILBW_FULL                 0x35F  /* pos 7, size 1 */
#define FSTB0899_LOWP_EN                    0x360  /* pos 6, size 1 */
#define FSTB0899_DIL_OVF                    0x361  /* pos 5, size 1 */
#define FSTB0899_DILBWSTK_MSB               0x362  /* pos 0, size 5 */


/* 0xF55D */
#define RSTB0899_TSULSTKL                   0x15C  /* reg */
#define FSTB0899_DILBWSTK_LSB               0x363  /* pos 0, size 8 */


/* 0xF55E */
#define RSTB0899_PCKLENUL                   0x15D  /* reg */
#define FSTB0899_PACKET_LENGTH_UL           0x364  /* pos 0, size 8 */


/* 0xF55F */
#define RSTB0899_PCKLENLL                   0x15E  /* reg */
#define FSTB0899_PACKET_LENGTH_LL           0x365  /* pos 0, size 8 */


/* 0xF560 */
#define RSTB0899_RSPCKLEN                   0x15F  /* reg */
#define FSTB0899_RS_PACKET_LENGTH           0x366  /* pos 0, size 8 */


/* 0xF561 */
#define RSTB0899_TSSTATUS                   0x160  /* reg */
#define FSTB0899_LINE_OK                    0x367  /* pos 7, size 1 */
#define FSTB0899_ERROR                      0x368  /* pos 6, size 1 */
#define FSTB0899_LOW_PRIORITY               0x369  /* pos 5, size 1 */
#define FSTB0899_DEC_DATA7                  0x36A  /* pos 4, size 1 */
#define FSTB0899_RSOV_IN                    0x36B  /* pos 3, size 1 */
#define FSTB0899_ISCR_UPDATE                0x36C  /* pos 2, size 1 */
#define FSTB0899_TSSTATUS_RESERVED          0x36D  /* pos 0, size 2 */


/* 0xF574 */
#define RSTB0899_ERRCTRL1                   0x161  /* reg */
#define FSTB0899_ERROR_SOURCE               0x36E  /* pos 3, size 5 */
#define FSTB0899_NOE                        0x36F  /* pos 0, size 3 */


/* 0xF575 */
#define RSTB0899_ERRCTRL2                   0x162  /* reg */
#define FSTB0899_ERROR_SOURCE2              0x370  /* pos 3, size 5 */
#define FSTB0899_NOE2                       0x371  /* pos 0, size 3 */


/* 0xF576 */
#define RSTB0899_ERRCTRL3                   0x163  /* reg */
#define FSTB0899_ERROR_SOURCE3              0x372  /* pos 3, size 5 */
#define FSTB0899_NOE3                       0x373  /* pos 0, size 3 */


/* 0xF57B */
#define RSTB0899_DMONMSK1                   0x164  /* reg */
#define FSTB0899_WAIT_1STEP                 0x374  /* pos 7, size 1 */
#define FSTB0899_FREE_14                    0x375  /* pos 6, size 1 */
#define FSTB0899_AVRGVIT_CALC               0x376  /* pos 5, size 1 */
#define FSTB0899_FREE_12                    0x377  /* pos 4, size 1 */
#define FSTB0899_FREE_11                    0x378  /* pos 3, size 1 */
#define FSTB0899_B0DIV_CALC                 0x379  /* pos 2, size 1 */
#define FSTB0899_KDIVB1_CALC                0x37A  /* pos 1, size 1 */
#define FSTB0899_KDIVB2_CALC                0x37B  /* pos 0, size 1 */


/* 0xF57C */
#define RSTB0899_DMONMSK0                   0x165  /* reg */
#define FSTB0899_SMOTTH_CALC                0x37C  /* pos 7, size 1 */
#define FSTB0899_FREE_6                     0x37D  /* pos 6, size 1 */
#define FSTB0899_SIGPOWER_CALC              0x37E  /* pos 5, size 1 */
#define FSTB0899_QSEUIL_CALC                0x37F  /* pos 4, size 1 */
#define FSTB0899_FREE_3                     0x380  /* pos 3, size 1 */
#define FSTB0899_FREE_2                     0x381  /* pos 2, size 1 */
#define FSTB0899_KVDIVB1_CALC               0x382  /* pos 1, size 1 */
#define FSTB0899_KVDIVB2_CLC                0x383  /* pos 0, size 1 */


/* 0xF583 */
#define RSTB0899_DEMAPVIT                   0x166  /* reg */
#define FSTB0899_DEMAPVIT_RESERVED          0x384  /* pos 7, size 1 */
#define FSTB0899_KDIVIDER                   0x385  /* pos 0, size 7 */


/* 0xF58C */
#define RSTB0899_PLPARM                     0x167  /* reg */
#define FSTB0899_VIT_MAPPING                0x386  /* pos 5, size 3 */
#define FSTB0899_VIT_CURPUN                 0x387  /* pos 0, size 5 */


/* 0xF600 */
#define RSTB0899_PDELCTRL                   0x168  /* reg */
#define FSTB0899_INVERTRES                  0x388  /* pos 7, size 1 */
#define FSTB0899_FORCEACCEPTED              0x389  /* pos 6, size 1 */
#define FSTB0899_FILTEREN                   0x38A  /* pos 5, size 1 */
#define FSTB0899_FSTLOCKFALLLOCKTHRESINC    0x38B  /* pos 4, size 1 */
#define FSTB0899_HYSTEN                     0x38C  /* pos 3, size 1 */
#define FSTB0899_HYSTSWRST                  0x38D  /* pos 2, size 1 */
#define FSTB0899_ALGOEN                     0x38E  /* pos 1, size 1 */
#define FSTB0899_ALGOSWRST                  0x38F  /* pos 0, size 1 */


/* 0xF601 */
#define RSTB0899_PDELCTRL2                  0x169  /* reg */
#define FSTB0899_FORCESYNC                  0x390  /* pos 7, size 1 */
#define FSTB0899_RSTUPKTKOCNT               0x391  /* pos 6, size 1 */
#define FSTB0899_RSTBBFKOCNT                0x392  /* pos 5, size 1 */
#define FSTB0899_FORCELK                    0x393  /* pos 4, size 1 */
#define FSTB0899_DATASCRBLED                0x394  /* pos 2, size 2 */
#define FSTB0899_TSTYPERQST                 0x395  /* pos 1, size 1 */
#define FSTB0899_SYNCDSUPDFL                0x396  /* pos 0, size 1 */


/* 0xF602 */
#define RSTB0899_BBHCTRL1                   0x16A  /* reg */
#define FSTB0899_SYNCDSTREAM                0x397  /* pos 4, size 1 */
#define FSTB0899_SYNCSTREAM                 0x398  /* pos 3, size 1 */
#define FSTB0899_DFLSTREAM                  0x399  /* pos 2, size 1 */
#define FSTB0899_UPLSTREAM                  0x39A  /* pos 1, size 1 */
#define FSTB0899_MATSTREAM                  0x39B  /* pos 0, size 1 */


/* 0xF603 */
#define RSTB0899_BBHCTRL2                   0x16B  /* reg */
#define FSTB0899_SYNCDI2C                   0x39C  /* pos 4, size 1 */
#define FSTB0899_SYNCI2C                    0x39D  /* pos 3, size 1 */
#define FSTB0899_DFLI2C                     0x39E  /* pos 2, size 1 */
#define FSTB0899_UPLI2C                     0x39F  /* pos 1, size 1 */
#define FSTB0899_MATI2C                     0x3A0  /* pos 0, size 1 */


/* 0xF604 */
#define RSTB0899_HYSTTHRESH                 0x16C  /* reg */
#define FSTB0899_UNLOCK_THRESHOLD           0x3A1  /* pos 4, size 4 */
#define FSTB0899_LOCKED_THRESHOLD           0x3A2  /* pos 0, size 4 */


/* 0xF605 */
#define RSTB0899_MATCSTM                    0x16D  /* reg */
#define FSTB0899_MATCST_MSB                 0x3A3  /* pos 0, size 8 */


/* 0xF606 */
#define RSTB0899_MATCSTL                    0x16E  /* reg */
#define FSTB0899_MATCSTL_LSB                0x3A4  /* pos 0, size 8 */


/* 0xF607 */
#define RSTB0899_UPLCSTM                    0x16F  /* reg */
#define FSTB0899_UPLCST_MSB                 0x3A5  /* pos 0, size 8 */


/* 0xF608 */
#define RSTB0899_UPLCSTL                    0x170  /* reg */
#define FSTB0899_UPLCST_LSB                 0x3A6  /* pos 0, size 8 */


/* 0xF609 */
#define RSTB0899_DFLCSTM                    0x171  /* reg */
#define FSTB0899_DFLCST_MSB                 0x3A7  /* pos 0, size 8 */


/* 0xF60A */
#define RSTB0899_DFLCSTL                    0x172  /* reg */
#define FSTB0899_DFLCST_LSB                 0x3A8  /* pos 0, size 8 */


/* 0xF60B */
#define RSTB0899_SYNCCST                    0x173  /* reg */
#define FSTB0899_SYNC_CST                   0x3A9  /* pos 0, size 8 */


/* 0xF60C */
#define RSTB0899_SYNCDCSTM                  0x174  /* reg */
#define FSTB0899_SYNCDCST_MSB               0x3AA  /* pos 0, size 8 */


/* 0xF60D */
#define RSTB0899_SYNCDCSTL                  0x175  /* reg */
#define FSTB0899_SYNCDCST_LSB               0x3AB  /* pos 0, size 8 */


/* 0xF60E */
#define RSTB0899_ISIENTRY                   0x176  /* reg */
#define FSTB0899_ISI_ENTRY                  0x3AC  /* pos 0, size 8 */


/* 0xF60F */
#define RSTB0899_ISIBITEN                   0x177  /* reg */
#define FSTB0899_ISI_BIT_EN                 0x3AD  /* pos 0, size 8 */


/* 0xF610 */
#define RSTB0899_MATSTRM                    0x178  /* reg */
#define FSTB0899_MATSTR_MSB                 0x3AE  /* pos 0, size 8 */


/* 0xF611 */
#define RSTB0899_MATSTRL                    0x179  /* reg */
#define FSTB0899_MATSTR_LSB                 0x3AF  /* pos 0, size 8 */


/* 0xF612 */
#define RSTB0899_UPLSTRM                    0x17A  /* reg */
#define FSTB0899_UPLSTR_MSB                 0x3B0  /* pos 0, size 8 */


/* 0xF613 */
#define RSTB0899_UPLSTRL                    0x17B  /* reg */
#define FSTB0899_UPLSTR_LSB                 0x3B1  /* pos 0, size 8 */


/* 0xF614 */
#define RSTB0899_DFLSTRM                    0x17C  /* reg */
#define FSTB0899_DFLSTR_MSB                 0x3B2  /* pos 0, size 8 */


/* 0xF615 */
#define RSTB0899_DFLSTRL                    0x17D  /* reg */
#define FSTB0899_DFLSTR_LSB                 0x3B3  /* pos 0, size 8 */


/* 0xF616 */
#define RSTB0899_SYNCSTR                    0x17E  /* reg */
#define FSTB0899_SYNC_STR                   0x3B4  /* pos 0, size 8 */


/* 0xF617 */
#define RSTB0899_SYNCDSTRM                  0x17F  /* reg */
#define FSTB0899_SYNCDSTR_MSB               0x3B5  /* pos 0, size 8 */


/* 0xF618 */
#define RSTB0899_SYNCDSTRL                  0x180  /* reg */
#define FSTB0899_SYNCDSTR_LSB               0x3B6  /* pos 0, size 8 */


/* 0xF619 */
#define RSTB0899_CFGPDELSTATUS1             0x181  /* reg */
#define FSTB0899_CFGPDELSTATUS1_RESERVED    0x3B7  /* pos 7, size 1 */
#define FSTB0899_BADDFL                     0x3B8  /* pos 6, size 1 */
#define FSTB0899_CONTINUOUS_STREAM          0x3B9  /* pos 5, size 1 */
#define FSTB0899_ACCEPTED_STREAM            0x3BA  /* pos 4, size 1 */
#define FSTB0899_BCH_ERROR_FLAG             0x3BB  /* pos 3, size 1 */
#define FSTB0899_CRCKO                      0x3BC  /* pos 2, size 1 */
#define FSTB0899_LOCK                       0x3BD  /* pos 1, size 1 */
#define FSTB0899_FST_LOCK                   0x3BE  /* pos 0, size 1 */


/* 0xF61A */
#define RSTB0899_CFGPKTDELSTTS2             0x182  /* reg */
#define FSTB0899_FRAME_TYPE                 0x3BF  /* pos 5, size 2 */
#define FSTB0899_PACKET_DELIN_MODECODE      0x3C0  /* pos 0, size 5 */


/* 0xF61B */
#define RSTB0899_BBFERRORM                  0x183  /* reg */
#define FSTB0899_BBFCRCKOHCNT_MSB           0x3C1  /* pos 0, size 8 */


/* 0xF61C */
#define RSTB0899_BBFERRORL                  0x184  /* reg */
#define FSTB0899_BBFCRCKOLCNT_LSB           0x3C2  /* pos 0, size 8 */


/* 0xF61D */
#define RSTB0899_UPKTERRORM                 0x185  /* reg */
#define FSTB0899_UPKTERROR_MSB              0x3C3  /* pos 0, size 8 */


/* 0xF61E */
#define RSTB0899_UPKTERRORL                 0x186  /* reg */
#define FSTB0899_UPKTERROR_LSB              0x3C4  /* pos 0, size 8 */


/* 0xFA04 */
#define RSTB0899_BLOCKLNGTH                 0x187  /* reg */
#define FSTB0899_BLOCK_LENGTH               0x3C5  /* pos 0, size 8 */


/* 0xFA08 */
#define RSTB0899_ROWSTR                     0x188  /* reg */
#define FSTB0899_ROW_STRIDE                 0x3C6  /* pos 0, size 8 */


/* 0xFA10 */
#define RSTB0899_BNANDADDR                  0x189  /* reg */
#define FSTB0899_BN_END_ADDR                0x3C7  /* pos 0, size 12 */


/* 0xFA14 */
#define RSTB0899_CNANDADDR                  0x18A  /* reg */
#define FSTB0899_CN_END_ADDR                0x3C8  /* pos 0, size 12 */


/* 0xFA1C */
#define RSTB0899_INFOLENGTH                 0x18B  /* reg */
#define FSTB0899_INFO_LENGTH                0x3C9  /* pos 0, size 8 */


/* 0xFA20 */
#define RSTB0899_BOT_ADDR                   0x18C  /* reg */
#define FSTB0899_BOTTOM_BASE_ADDR           0x3CA  /* pos 0, size 10 */


/* 0xFA24 */
#define RSTB0899_BCHBLKLN                   0x18D  /* reg */
#define FSTB0899_BCH_BLOCK_LENGTH           0x3CB  /* pos 0, size 16 */


/* 0xFA28 */
#define RSTB0899_BCHT                       0x18E  /* reg */
#define FSTB0899_BCH_T                      0x3CC  /* pos 0, size 4 */


/* 0xFA00 */
#define RSTB0899_CNFGMODE                   0x18F  /* reg */
#define FSTB0899_MODCOD_REG                 0x3CD  /* pos 2, size 5 */
#define FSTB0899_MODCOD_SEL                 0x3CE  /* pos 1, size 1 */
#define FSTB0899_CONFIG_MODE                0x3CF  /* pos 0, size 1 */


/* 0xFA04 */
#define RSTB0899_LDPCSTAT                   0x190  /* reg */
#define FSTB0899_ITERATION                  0x3D0  /* pos 3, size 8 */
#define FSTB0899_LDPC_DEC_STATE             0x3D1  /* pos 0, size 3 */


/* 0xFA08 */
#define RSTB0899_ITERSCALE                  0x191  /* reg */
#define FSTB0899_ITERATION_SCALE            0x3D2  /* pos 0, size 8 */


/* 0xFA0C */
#define RSTB0899_INPUTMODE                  0x192  /* reg */
#define FSTB0899_SD_BLOCK1_STREAM0          0x3D3  /* pos 0, size 1 */


/* 0xFA10 */
#define RSTB0899_LDPCDECRST                 0x193  /* reg */
#define FSTB0899_LDPC_DEC_RST               0x3D4  /* pos 0, size 1 */


/* 0xFA14 */
#define RSTB0899_CLKPERBYTE                 0x194  /* reg */
#define FSTB0899_CLKS_PER_BYTE              0x3D5  /* pos 0, size 5 */


/* 0xFA18 */
#define RSTB0899_BCHERRORS                  0x195  /* reg */
#define FSTB0899_BCH_ERRORS                 0x3D6  /* pos 0, size 4 */


/* 0xFA1C */
#define RSTB0899_LDPCERRORS                 0x196  /* reg */
#define FSTB0899_LDPC_ERRORS                0x3D7  /* pos 0, size 16 */


/* 0xFA20 */
#define RSTB0899_BCHMODE                    0x197  /* reg */
#define FSTB0899_FULL_BYPASS                0x3D8  /* pos 1, size 1 */
#define FSTB0899_BCH_CORRECT_N              0x3D9  /* pos 0, size 1 */


/* 0xFA24 */
#define RSTB0899_ERRACCPER                  0x198  /* reg */
#define FSTB0899_BCH_ERR_ACCPERIOD          0x3DA  /* pos 0, size 4 */


/* 0xFA28 */
#define RSTB0899_BCHERRACC                  0x199  /* reg */
#define FSTB0899_BCH_ERR_ACCUM              0x3DB  /* pos 0, size 8 */


/* 0xFA38 */
#define RSTB0899_FECTPSEL                   0x19A  /* reg */
#define FSTB0899_FEC_TP_SEL                 0x3DC  /* pos 0, size 3 */


/* 0xFF10 */
#define RSTB0899_TSTCK                      0x19B  /* reg */
#define FSTB0899_FORCETC                    0x3DD  /* pos 7, size 1 */
#define FSTB0899_TSTCKRS                    0x3DE  /* pos 6, size 1 */
#define FSTB0899_TSTCK_5                    0x3DF  /* pos 5, size 1 */
#define FSTB0899_FORCEVIT                   0x3E0  /* pos 4, size 1 */
#define FSTB0899_FORCEACS                   0x3E1  /* pos 3, size 1 */
#define FSTB0899_FORSYMHA                   0x3E2  /* pos 2, size 1 */
#define FSTB0899_FORSYMAX                   0x3E3  /* pos 1, size 1 */
#define FSTB0899_TSTCK_0                    0x3E4  /* pos 0, size 1 */


/* 0xFF11 */
#define RSTB0899_TSTRES                     0x19C  /* reg */
#define FSTB0899_FRESLDPC                   0x3E5  /* pos 7, size 1 */
#define FSTB0899_FRESRS                     0x3E6  /* pos 6, size 1 */
#define FSTB0899_FRESVIT                    0x3E7  /* pos 5, size 1 */
#define FSTB0899_FRESMAS1_2                 0x3E8  /* pos 4, size 1 */
#define FSTB0899_FRESACS                    0x3E9  /* pos 3, size 1 */
#define FSTB0899_FRESSYM                    0x3EA  /* pos 2, size 1 */
#define FSTB0899_FRESMAS                    0x3EB  /* pos 1, size 1 */
#define FSTB0899_FRESINT                    0x3EC  /* pos 0, size 1 */


/* 0xFF12 */
#define RSTB0899_TSTOUT                     0x19D  /* reg */
#define FSTB0899_EN_SIGNATURE               0x3ED  /* pos 7, size 1 */
#define FSTB0899_BCLK_CLOCK                 0x3EE  /* pos 6, size 1 */
#define FSTB0899_SGNL_OUT                   0x3EF  /* pos 5, size 1 */
#define FSTB0899_TS                         0x3F0  /* pos 1, size 4 */
#define FSTB0899_CTEST                      0x3F1  /* pos 0, size 1 */


/* 0xFF13 */
#define RSTB0899_TSTIN                      0x19E  /* reg */
#define FSTB0899_TEST_IN                    0x3F2  /* pos 7, size 1 */
#define FSTB0899_EN_ADC                     0x3F3  /* pos 6, size 1 */
#define FSTB0899_SGN_ADC                    0x3F4  /* pos 5, size 1 */
#define FSTB0899_BCLK_IN                    0x3F5  /* pos 4, size 1 */
#define FSTB0899_JETONIN_MODE               0x3F6  /* pos 3, size 1 */
#define FSTB0899_BCLK_VALUE                 0x3F7  /* pos 2, size 1 */
#define FSTB0899_SGNRST_T12                 0x3F8  /* pos 1, size 1 */
#define FSTB0899_LOWSP_ENAX                 0x3F9  /* pos 0, size 1 */


/* 0xFF14 */
#define RSTB0899_TSTSYS                     0x19F  /* reg */
#define FSTB0899_T11_ON_IOP21               0x3FA  /* pos 7, size 1 */
#define FSTB0899_TSTSYS_6                   0x3FB  /* pos 6, size 1 */
#define FSTB0899_IP0_ENAX                   0x3FC  /* pos 5, size 1 */
#define FSTB0899_TC_BYPASS                  0x3FD  /* pos 4, size 1 */
#define FSTB0899_SYMRING_SAMPL              0x3FE  /* pos 3, size 1 */
#define FSTB0899_TBUSDOUPLOUT_MSK           0x3FF  /* pos 1, size 2 */
#define FSTB0899_TST_CKSYNTHE               0x400  /* pos 0, size 1 */


/* 0xFF15 */
#define RSTB0899_TSTCHIP                    0x1A0  /* reg */
#define FSTB0899_TSTCHIP_7                  0x401  /* pos 7, size 1 */
#define FSTB0899_INTBUF_BYPASS              0x402  /* pos 6, size 1 */
#define FSTB0899_DVBS2F_BYPASS              0x403  /* pos 5, size 1 */
#define FSTB0899_TSTCHIP_4                  0x404  /* pos 4, size 1 */
#define FSTB0899_TSTCHIP_3                  0x405  /* pos 3, size 1 */
#define FSTB0899_TSTCHIP_2                  0x406  /* pos 2, size 1 */
#define FSTB0899_LOWNOISE                   0x407  /* pos 1, size 1 */
#define FSTB0899_STBY_ITER                  0x408  /* pos 0, size 1 */


/* 0xFF16 */
#define RSTB0899_TSTFREE                    0x1A1  /* reg */
#define FSTB0899_TSTFREE_7                  0x409  /* pos 7, size 1 */
#define FSTB0899_TSTFREE_6                  0x40A  /* pos 6, size 1 */
#define FSTB0899_TSTFREE_5                  0x40B  /* pos 5, size 1 */
#define FSTB0899_TSTFREE_4                  0x40C  /* pos 4, size 1 */
#define FSTB0899_TSTFREE_3                  0x40D  /* pos 3, size 1 */
#define FSTB0899_TSTFREE_2                  0x40E  /* pos 2, size 1 */
#define FSTB0899_TSTFREE_1                  0x40F  /* pos 1, size 1 */
#define FSTB0899_TSTFREE_0                  0x410  /* pos 0, size 1 */


/* 0xFF17 */
#define RSTB0899_TSTI2C                     0x1A2  /* reg */
#define FSTB0899_EN_VI2C                    0x411  /* pos 7, size 1 */
#define FSTB0899_TI2C                       0x412  /* pos 4, size 3 */
#define FSTB0899_TSTI2C_2                   0x413  /* pos 3, size 1 */
#define FSTB0899_DIS_I2CWAIT                0x414  /* pos 2, size 1 */
#define FSTB0899_I2C_FORCEACT               0x415  /* pos 1, size 1 */
#define FSTB0899_TSTI2C_0                   0x416  /* pos 0, size 1 */


/* 0xFF1C */
#define RSTB0899_BITSPEEDM                  0x1A3  /* reg */
#define FSTB0899_BITSPEED_MSB               0x417  /* pos 0, size 8 */


/* 0xFF1D */
#define RSTB0899_BITSPEEDL                  0x1A4  /* reg */
#define FSTB0899_BITSPEED_LSB               0x418  /* pos 0, size 8 */


/* 0xFF1E */
#define RSTB0899_TBUSBIT                    0x1A5  /* reg */
#define FSTB0899_TBUSBIT_ENMODE             0x419  /* pos 7, size 1 */
#define FSTB0899_TBUSBIT_SELECT             0x41A  /* pos 0, size 7 */


/* 0xFF24 */
#define RSTB0899_TSTDIS                     0x1A6  /* reg */
#define FSTB0899_EN_DIS                     0x41B  /* pos 7, size 1 */
#define FSTB0899_EN_PTR                     0x41C  /* pos 6, size 1 */
#define FSTB0899_TSTDIS_EN_DISRX            0x41D  /* pos 5, size 1 */
#define FSTB0899_TSTDIS_4                   0x41E  /* pos 4, size 1 */
#define FSTB0899_TSTDIS_3                   0x41F  /* pos 3, size 1 */
#define FSTB0899_TESTPRO                    0x420  /* pos 2, size 1 */
#define FSTB0899_TESTREG                    0x421  /* pos 1, size 1 */
#define FSTB0899_TESTPRE                    0x422  /* pos 0, size 1 */


/* 0xFF25 */
#define RSTB0899_TSTDISRX                   0x1A7  /* reg */
#define FSTB0899_TSTDISRX_EN_DISRX          0x423  /* pos 7, size 1 */
#define FSTB0899_TST_CURRSRC                0x424  /* pos 6, size 1 */
#define FSTB0899_IN_DIGSIGNAL               0x425  /* pos 5, size 1 */
#define FSTB0899_HIZ_CURRENTSRC             0x426  /* pos 4, size 1 */
#define FSTB0899_TSTDISRX_PIN_SELECT        0x427  /* pos 3, size 1 */
#define FSTB0899_TST_DISRX                  0x428  /* pos 0, size 3 */


/* 0xFF28 */
#define RSTB0899_TSTJETON                   0x1A8  /* reg */
#define FSTB0899_TSTJETON_7                 0x429  /* pos 7, size 1 */
#define FSTB0899_TSTJETON_6                 0x42A  /* pos 6, size 1 */
#define FSTB0899_TSTJETON_5                 0x42B  /* pos 5, size 1 */
#define FSTB0899_TSTJETON_4                 0x42C  /* pos 4, size 1 */
#define FSTB0899_TSTJETON_3                 0x42D  /* pos 3, size 1 */
#define FSTB0899_TSTJETON_2                 0x42E  /* pos 2, size 1 */
#define FSTB0899_TSTJETON_1                 0x42F  /* pos 1, size 1 */
#define FSTB0899_TSTJETON_0                 0x430  /* pos 0, size 1 */


/* 0xFF40 */
#define RSTB0899_TSTDCADJ                   0x1A9  /* reg */
#define FSTB0899_TSTDCADJ_7                 0x431  /* pos 7, size 1 */
#define FSTB0899_TSTDCADJ_6                 0x432  /* pos 6, size 1 */
#define FSTB0899_TST_DCADJ                  0x433  /* pos 5, size 1 */
#define FSTB0899_ADJTST                     0x434  /* pos 3, size 2 */
#define FSTB0899_SEL_AVERAGE                0x435  /* pos 2, size 1 */
#define FSTB0899_DCADJ_Q                    0x436  /* pos 1, size 1 */
#define FSTB0899_DCADJ_I                    0x437  /* pos 0, size 1 */


/* 0xFF41 */
#define RSTB0899_TSTAGC1                    0x1AA  /* reg */
#define FSTB0899_EN_AGC1                    0x438  /* pos 7, size 1 */
#define FSTB0899_SEC_AGC1                   0x439  /* pos 6, size 1 */
#define FSTB0899_EN_AGC1OUT                 0x43A  /* pos 5, size 1 */
#define FSTB0899_NAVERAGE_ON                0x43B  /* pos 4, size 1 */
#define FSTB0899_EN_AGC1_MOD                0x43C  /* pos 3, size 1 */
#define FSTB0899_EN_AGC1_BETA               0x43D  /* pos 2, size 1 */
#define FSTB0899_EN_AGC1_PLF                0x43E  /* pos 1, size 1 */
#define FSTB0899_SEL_AGC1_TST               0x43F  /* pos 0, size 1 */


/* 0xFF42 */
#define RSTB0899_TSTAGC1N                   0x1AB  /* reg */
#define FSTB0899_EN_AGC1N                   0x440  /* pos 7, size 1 */
#define FSTB0899_AGC1N_PWM2                 0x441  /* pos 6, size 1 */
#define FSTB0899_AGC_BEF_DC                 0x442  /* pos 5, size 1 */
#define FSTB0899_AGC1N_PWM                  0x443  /* pos 4, size 1 */
#define FSTB0899_EN_AGC1N_MOD               0x444  /* pos 3, size 1 */
#define FSTB0899_EN_AGC1N_BETA              0x445  /* pos 2, size 1 */
#define FSTB0899_EN_AGC1N_PLF               0x446  /* pos 1, size 1 */
#define FSTB0899_SEL_AGC1N_TST              0x447  /* pos 0, size 1 */


/* 0xFF48 */
#define RSTB0899_TSTPOLYPH                  0x1AC  /* reg */
#define FSTB0899_PPH_ITEST                  0x448  /* pos 7, size 1 */
#define FSTB0899_PPH_QTEST                  0x449  /* pos 6, size 1 */
#define FSTB0899_SEL_PPH                    0x44A  /* pos 5, size 1 */
#define FSTB0899_SYMENA_BYP                 0x44B  /* pos 4, size 1 */
#define FSTB0899_SEL_MULT                   0x44C  /* pos 3, size 1 */
#define FSTB0899_EN_MULT                    0x44D  /* pos 2, size 1 */
#define FSTB0899_EN_BYPASS                  0x44E  /* pos 1, size 1 */
#define FSTB0899_SEL_CPT                    0x44F  /* pos 0, size 1 */


/* 0xFF49 */
#define RSTB0899_TSTR                       0x1AD  /* reg */
#define FSTB0899_EN_STRTST                  0x450  /* pos 7, size 1 */
#define FSTB0899_EN_RINGPOLY                0x451  /* pos 6, size 1 */
#define FSTB0899_TSTR_5                     0x452  /* pos 5, size 1 */
#define FSTB0899_EN_FRAC                    0x453  /* pos 4, size 1 */
#define FSTB0899_EN_STR_PLF                 0x454  /* pos 3, size 1 */
#define FSTB0899_EN_STR_ERR                 0x455  /* pos 2, size 1 */
#define FSTB0899_EN_STR_GPD                 0x456  /* pos 1, size 1 */
#define FSTB0899_SEL_STR_TST                0x457  /* pos 0, size 1 */


/* 0xFF4A */
#define RSTB0899_TSTAGC2                    0x1AE  /* reg */
#define FSTB0899_EN_AGC2                    0x458  /* pos 7, size 1 */
#define FSTB0899_TAGC2_6                    0x459  /* pos 6, size 1 */
#define FSTB0899_EN_AGC2M                   0x45A  /* pos 5, size 1 */
#define FSTB0899_EN_AGC2AC                  0x45B  /* pos 4, size 1 */
#define FSTB0899_EN_AGC2_OUT                0x45C  /* pos 3, size 1 */
#define FSTB0899_TAGC2_2                    0x45D  /* pos 2, size 1 */
#define FSTB0899_POLYPH_AMP                 0x45E  /* pos 0, size 2 */


/* 0xFF4B */
#define RSTB0899_TSTCTL1                    0x1AF  /* reg */
#define FSTB0899_SEL_COR                    0x45F  /* pos 7, size 1 */
#define FSTB0899_EN_CTL_NCO                 0x460  /* pos 6, size 1 */
#define FSTB0899_EN_CTL_PLF                 0x461  /* pos 5, size 1 */
#define FSTB0899_EN_CTL_CLM                 0x462  /* pos 4, size 1 */
#define FSTB0899_EN_CTL_DEROT               0x463  /* pos 3, size 1 */
#define FSTB0899_SEL_IQTHEORI               0x464  /* pos 2, size 1 */
#define FSTB0899_SEL_TETA                   0x465  /* pos 1, size 1 */
#define FSTB0899_SEL_CTL_PLF                0x466  /* pos 0, size 1 */


/* 0xFF4C */
#define RSTB0899_TSTCTL2                    0x1B0  /* reg */
#define FSTB0899_EN_CTLTST                  0x467  /* pos 7, size 1 */
#define FSTB0899_EN_CTL_LOCIND              0x468  /* pos 6, size 1 */
#define FSTB0899_EN_CLT_POLY                0x469  /* pos 5, size 1 */
#define FSTB0899_EN_CTL_NOS                 0x46A  /* pos 4, size 1 */
#define FSTB0899_EN_CTL_NOS_IND             0x46B  /* pos 3, size 1 */
#define FSTB0899_EN_CTL_LOC_COS             0x46C  /* pos 2, size 1 */
#define FSTB0899_TCTL2_1                    0x46D  /* pos 1, size 1 */
#define FSTB0899_TCTL2_0                    0x46E  /* pos 0, size 1 */


/* 0xFF4D */
#define RSTB0899_TSTCTL3                    0x1B1  /* reg */
#define FSTB0899_TCTL3_7                    0x46F  /* pos 7, size 1 */
#define FSTB0899_TCTL3_6                    0x470  /* pos 6, size 1 */
#define FSTB0899_TCTL3_5                    0x471  /* pos 5, size 1 */
#define FSTB0899_TCTL3_4                    0x472  /* pos 4, size 1 */
#define FSTB0899_TCTL3_3                    0x473  /* pos 3, size 1 */
#define FSTB0899_TCTL3_2                    0x474  /* pos 2, size 1 */
#define FSTB0899_TCTL3_1                    0x475  /* pos 1, size 1 */
#define FSTB0899_TCTL3_0                    0x476  /* pos 0, size 1 */


/* 0xFF50 */
#define RSTB0899_TSTDEMAP                   0x1B2  /* reg */
#define FSTB0899_EN_TBDEMAP                 0x477  /* pos 7, size 1 */
#define FSTB0899_SMOT_RESTART               0x478  /* pos 6, size 1 */
#define FSTB0899_SEL_ROTA                   0x479  /* pos 5, size 1 */
#define FSTB0899_SEL_DATAIN                 0x47A  /* pos 4, size 1 */
#define FSTB0899_NONZERO_ZI                 0x47B  /* pos 3, size 1 */
#define FSTB0899_TDEMAP_MODE                0x47C  /* pos 0, size 3 */


/* 0xFF51 */
#define RSTB0899_TSTDEMAP2                  0x1B3  /* reg */
#define FSTB0899_XOR_HSBIT                  0x47D  /* pos 7, size 1 */
#define FSTB0899_TDEMAP2_6                  0x47E  /* pos 6, size 1 */
#define FSTB0899_N7PSK_TBL                  0x47F  /* pos 4, size 2 */
#define FSTB0899_TDEMAP2_3                  0x480  /* pos 3, size 1 */
#define FSTB0899_TDEMAP2_2                  0x481  /* pos 2, size 1 */
#define FSTB0899_TDEMAP2_1                  0x482  /* pos 1, size 1 */
#define FSTB0899_TDEMAP2_0                  0x483  /* pos 0, size 1 */


/* 0xFF52 */
#define RSTB0899_TSTDEMMON                  0x1B4  /* reg */
#define FSTB0899_TDEMMON_7                  0x484  /* pos 7, size 1 */
#define FSTB0899_TDEMMON_6                  0x485  /* pos 6, size 1 */
#define FSTB0899_TDEMMON_5                  0x486  /* pos 5, size 1 */
#define FSTB0899_TDEMMON_4                  0x487  /* pos 4, size 1 */
#define FSTB0899_TDEMMON_3                  0x488  /* pos 3, size 1 */
#define FSTB0899_TDEMMON_2                  0x489  /* pos 2, size 1 */
#define FSTB0899_TDEMMON_1                  0x48A  /* pos 1, size 1 */
#define FSTB0899_TDEMMON_0                  0x48B  /* pos 0, size 1 */


/* 0xFF53 */
#define RSTB0899_TSTRATE                    0x1B5  /* reg */
#define FSTB0899_FXPSK                      0x48C  /* pos 7, size 1 */
#define FSTB0899_TSTRATE_6                  0x48D  /* pos 6, size 1 */
#define FSTB0899_TSTRATE_5                  0x48E  /* pos 5, size 1 */
#define FSTB0899_FSMOTLN                    0x48F  /* pos 4, size 1 */
#define FSTB0899_FCURPUN                    0x490  /* pos 3, size 1 */
#define FSTB0899_FTCPHASE                   0x491  /* pos 2, size 1 */
#define FSTB0899_FPHA                       0x492  /* pos 1, size 1 */
#define FSTB0899_FROTA45                    0x493  /* pos 0, size 1 */


/* 0xFF54 */
#define RSTB0899_TSTSELOUT                  0x1B6  /* reg */
#define FSTB0899_EN_SYNC                    0x494  /* pos 7, size 1 */
#define FSTB0899_SELOUT_5                   0x495  /* pos 6, size 1 */
#define FSTB0899_TSTERR2                    0x496  /* pos 5, size 1 */
#define FSTB0899_TSTSYNCHRO_MODE            0x497  /* pos 1, size 4 */


/* 0xFF55 */
#define RSTB0899_TSYNC                      0x1B7  /* reg */
#define FSTB0899_FCURPUNSYNC                0x498  /* pos 7, size 1 */
#define FSTB0899_TSYNC_6                    0x499  /* pos 6, size 1 */
#define FSTB0899_PRLOST_DELAY               0x49A  /* pos 5, size 1 */
#define FSTB0899_SRCH_ACCEL                 0x49B  /* pos 4, size 1 */
#define FSTB0899_TSYNC_3                    0x49C  /* pos 3, size 1 */
#define FSTB0899_TSYNC_2                    0x49D  /* pos 2, size 1 */
#define FSTB0899_TST_BCHERRORLL             0x49E  /* pos 1, size 1 */
#define FSTB0899_TST_BCHERRORUL             0x49F  /* pos 0, size 1 */


/* 0xFF56 */
#define RSTB0899_TSTERR                     0x1B8  /* reg */
#define FSTB0899_TSTERR_7                   0x4A0  /* pos 7, size 1 */
#define FSTB0899_TSTERR_6                   0x4A1  /* pos 6, size 1 */
#define FSTB0899_TSTERR_5                   0x4A2  /* pos 5, size 1 */
#define FSTB0899_TSTERR_4                   0x4A3  /* pos 4, size 1 */
#define FSTB0899_TSTERR_3                   0x4A4  /* pos 3, size 1 */
#define FSTB0899_TSTERR_2                   0x4A5  /* pos 2, size 1 */
#define FSTB0899_FROTA45_FIRST              0x4A6  /* pos 1, size 1 */
#define FSTB0899_TSTERR_0                   0x4A7  /* pos 0, size 1 */


/* 0xFF58 */
#define RSTB0899_TSTRAM1                    0x1B9  /* reg */
#define FSTB0899_SELADR1                    0x4A8  /* pos 7, size 1 */
#define FSTB0899_FSELRAM1                   0x4A9  /* pos 6, size 1 */
#define FSTB0899_FSELDEC                    0x4AA  /* pos 5, size 1 */
#define FSTB0899_FOEB                       0x4AB  /* pos 2, size 3 */
#define FSTB0899_FADR                       0x4AC  /* pos 0, size 2 */


/* 0xFF59 */
#define RSTB0899_TSTVSELOUT                 0x1BA  /* reg */
#define FSTB0899_EN_VLOG                    0x4AD  /* pos 7, size 1 */
#define FSTB0899_VSELOUT_6                  0x4AE  /* pos 6, size 1 */
#define FSTB0899_VSELOUT_5                  0x4AF  /* pos 5, size 1 */
#define FSTB0899_VSELOUT_4                  0x4B0  /* pos 4, size 1 */
#define FSTB0899_VSELOUT_3                  0x4B1  /* pos 3, size 1 */
#define FSTB0899_SELLIFO                    0x4B2  /* pos 2, size 1 */
#define FSTB0899_SELFIFO                    0x4B3  /* pos 1, size 1 */
#define FSTB0899_VIT_DIFF                   0x4B4  /* pos 0, size 1 */


/* 0xFF5A */
#define RSTB0899_TSTFORCEIN                 0x1BB  /* reg */
#define FSTB0899_SEL_VITDATAIN              0x4B5  /* pos 7, size 1 */
#define FSTB0899_FORCE_ACS                  0x4B6  /* pos 6, size 1 */
#define FSTB0899_FORCEIN_5                  0x4B7  /* pos 5, size 1 */
#define FSTB0899_TSTRAM64                   0x4B8  /* pos 4, size 1 */
#define FSTB0899_TSTRAM                     0x4B9  /* pos 3, size 1 */
#define FSTB0899_FORCEIN_2                  0x4BA  /* pos 2, size 1 */
#define FSTB0899_TSTERRV                    0x4BB  /* pos 1, size 1 */
#define FSTB0899_TSTACS                     0x4BC  /* pos 0, size 1 */


/* 0xFF5C */
#define RSTB0899_TSTRS1                     0x1BC  /* reg */
#define FSTB0899_TSTSCRA                    0x4BD  /* pos 7, size 1 */
#define FSTB0899_OLDRS6                     0x4BE  /* pos 6, size 1 */
#define FSTB0899_EN_SCRAMHYST               0x4BF  /* pos 5, size 1 */
#define FSTB0899_LNB_TSTOUT                 0x4C0  /* pos 4, size 1 */
#define FSTB0899_DILT                       0x4C1  /* pos 2, size 2 */
#define FSTB0899_TST_DILBW                  0x4C2  /* pos 1, size 1 */
#define FSTB0899_TSTRSEN                    0x4C3  /* pos 0, size 1 */


/* 0xFF5D */
#define RSTB0899_TSTRS2                     0x1BD  /* reg */
#define FSTB0899_MOD_SYNCBYTE               0x4C4  /* pos 7, size 1 */
#define FSTB0899_DILFFULL_IGNORE            0x4C5  /* pos 6, size 1 */
#define FSTB0899_FORCE_ISCR3BYTES           0x4C6  /* pos 5, size 1 */
#define FSTB0899_TSTRS_SERIAL               0x4C7  /* pos 4, size 1 */
#define FSTB0899_MMISDEC_ON                 0x4C8  /* pos 3, size 1 */
#define FSTB0899_TSERS3                     0x4C9  /* pos 2, size 1 */
#define FSTB0899_TSERS2                     0x4CA  /* pos 1, size 1 */
#define FSTB0899_TSERS                      0x4CB  /* pos 0, size 1 */


/* 0xFF5E */
#define RSTB0899_TSTRS3                     0x1BE  /* reg */
#define FSTB0899_TSTRS3_7                   0x4CC  /* pos 7, size 1 */
#define FSTB0899_TSTRS3_6                   0x4CD  /* pos 6, size 1 */
#define FSTB0899_TSTRS3_5                   0x4CE  /* pos 5, size 1 */
#define FSTB0899_TSTRS3_4                   0x4CF  /* pos 4, size 1 */
#define FSTB0899_TSTRS3_3                   0x4D0  /* pos 3, size 1 */
#define FSTB0899_TSTRS3_2                   0x4D1  /* pos 2, size 1 */
#define FSTB0899_TSTRS3_1                   0x4D2  /* pos 1, size 1 */
#define FSTB0899_DIL_DBBHEADER              0x4D3  /* pos 0, size 1 */


/* 0xF000 */
#define RSTB0899_GHOSTREG                   0x1BF  /* reg */
#define FSTB0899_GHOSTFIELD                 0x4D4  /* pos 0, size 7 */

#endif
